Program OPstat a hlavní stránka

 Top Next

Program OPstat je integrovaný systém matematických a statistických nástrojů pro zpracování a analýzu dat. Základní principy a algoritmus výpočtu zahrnutých matematicko-statistických metod jsou uvedeny ve skriptech (‘‘dále jen skripta‘‘) :

Oldřich Pytela: Chemometrie pro organické chemiky, 4. vydání. Univerzita Pardubice 2003.

Program OPstat zahrnuje moduly pro

• zadání, úpravu a tisk dat
• numerické operace s jednorozměrnými daty
• numerické operace s vícerozměrnými daty, včetně maticových operací
• výpočet hodnot frekvenční funkce, distribuční funkce a kvantilů některých rozdělení
• výpočet charakteristik polohy, variability a základní statistické testy jednorozměrných dat
• grafickou průzkumovou jednorozměrných dat
• výpočet charakteristik polohy, variability a základní statistické testy vícerozměrných dat
• grafickou průzkumovou vícerozměrných dat

zpracování a interpretaci dat matematicko-statistickými metodami:

• Analýza rozptylu AnoVa
• Vícenásobná lineární regrese Mulreg
• Vícenásobná vážená lineární regrese omegaMulreg
• Vícenásobná reziduálně-vážená lineární regrese se-co omegaMulreg
• Vícenásobná lineární regrese s výběrem nejlepších vysvětlujících proměnných miMulreg
• Nelineární regrese Optim
• Metoda hlavních komponent PCA
• Rozklad matice na součin matic T a P
• Metoda vážených hlavních komponent omegaPCA
• Faktorová analýza FA
• Metoda konjugovaných odchylek CDA
• Modelování latentních proměnných ModLaV
• Modelování faktorových zátěží ModFac
• Kanonické korelace CCA
• Metoda parciálních nejmenších čtverců (projekce latentních struktur) PLS
• Klasifikační metody – shluková a diskriminační analýza CA, LDA
• Klasifikační metody – nelineární mapování NonLinearMapping
• Kalibrace

operace s textovými výstupy

operace s 2D a 3D grafickými objekty:

• Zobrazení dat a závislostí mezi proměnnými v 2D-prostoru
• Zobrazení dat a souvisejících implicitních křivek v 2D-prostoru
• Projekce objektů 3D do 2D, simultánní grafy v 3D
• Analýza rozložení bodů v třírozměrném prostoru
• Vytváření a analýza hyperploch s okraji v prostoru interpolací z dat v xyzTabulce
• Vytváření a analýza hyperploch s okraji v prostoru interpolací
• Vytváření a analýza hyperploch s okraji v prostoru aproximací z dat v xyzTabulce
• Vytváření a analýza hyperploch s okraji v prostoru aproximací
• Vytváření prezentací

Program OPstat je hierarchický, vstup do uvedených základních modulů je možný pouze z hlavní stránky. Základní moduly mohou řetězově volat další moduly, návrat na hlavní stránku je možný pouze uzavřením oken vytvořeného řetězu. Tím je zajištěno, že volané moduly pracují vždy s aktuálními informacemi, zpětně se předávají některé parametry a současně je tak zabráněno chybným operacím ze strany uživatele.

Program OPstat je vybaven kontextovou nápovědou (Help). Nápovědu k položkám v roletovém menu hlavní stránky lze získat po umístění kursoru na příslušnou položku a stisknutím klávesy F1. Nápovědu v každém dalším okně lze pro operace související s tímto oknem získat stisknutím klávesy F1. Mimo hlavní stránku je v každém okně u každého prvku tohoto okna připojena vysvětlující poznámka, která se na chvíli objeví po umístění kursoru na tento prvek.

Program OPstat umožňuje zjistit, zda máte nainstalovanou aktuální verzi kliknutím myší na položku ActInfo (nutné je mít aktivní přístup k internetu !).

Hlavní stránka programu OPstat obsahuje roletové menu pro výběr jednotlivých operací a metod (dále jen ‘‘základní menu‘‘). Operaci nebo metodu vyberte kursorem myši a kliknutím, otevřete tak standardní okno systému Windows nebo okno programu OPstat. V nově otevřeném okně se řiďte nápovědou tohoto okna.

Hlavní stránka programu OPstat v pravé části panel se základními informacemi. Kliknutím myší na tento panel se panel nahradí funkční kalkulačkou.

Hlavní stránka programu OPstat slouží též jako šetřič – po určitém počtu otáček koule s logem se koule zmenší a pohybuje se jako míček uvnitř plochy obrazovky.

Nastavení struktury knihoven je uloženo v souboru StructLib v knihovně Program OPgm\Exe. Názvy knihoven je možno měnit podle potřeb uživatele, použité názvy musí korespondovat s názvy fyzicky existujících podknihoven v knihovně Data.


Kalkulačka

 Top Previous Next

Kalkulačka je objekt programu OPstat s ovládacími prvky a funkcemi shodnými s kapesními kalkulačkami. Kalkulačku zobrazíte dvojklikem v ploše obrazovky, skryjete klinutím v ploše obrazovky mimo panel s kalkulačkou.

Kalkulačka umožňuje následující operace

• vymazání displeje (CE)
• zrušení všech operací a vymazání displeje (C)
• vymazání paměti (MC)
• uložení obsahu displeje do paměti (MS)
• načtení obsahu paměti na displej (MR)
• přičtení obsahu displeje k obsahu paměti (MA)
• výměna obsahu displeje a paměti (ME)
• práci s čísly v exponenciálním tvaru (EE)
• výpočet se závorkami do 4 úrovní
• základní matematické operace
• inverzní operace k základním matematickým operacím (po INV)


Zadání, úprava a tisk dat

Základní formou dat v programu OPstat jsou datová matice a řídící vektor.

Datové matice jsou v programu implementovány v jednotném interním formátu kategorizované na soubory s příponou ‘‘dat‘‘ (obecná data), ‘‘plt‘‘ (grafické soubory s výjimkou souborů modulu Presentation) nebo ‘‘sim‘‘ (matice podobnosti v klasifikačních metodách). Implicitní zakončení souborů s datovou maticí je ‘‘dat‘‘.

Údaje jsou v datové matici uloženy jako znaky a teprve při zpracování se podle potřeby převádějí na čísla. Chybné zadání položek reprezentujících čísla se proto někdy projeví až v okamžiku jejich zpracování podle kontextu. Maximální počet znaků v buňce tabulky s datovou maticí je 10. Při případném převodu řetězce znaků na číslo jsou nadbytečné znaky ignorovány!

Datové matice mohou obsahovat chybějící údaje. Chybějící údaj je reprezentován prázdným znakem (v nutných případech je možno použít mezery, které jsou při zpracování převedeny na prázdný znak). Pokud to podstata prováděných operací dovoluje, jsou chybějící údaje ignorovány a výsledkem operace je opět prázdný znak.

K výběru a identifikaci položek v datové matici se v programu OPstat používají názvy řádků a sloupců. Tyto údaje jsou nedílnou součástí datové matice. Maximální počet znaků v názvu řádku nebo sloupce je 20, nadbytečné znaky jsou ignorovány! Charakter znaků není omezen.

Struktura datové matice zahrnuje

• první řádek s názvy sloupců,
• první sloupec s názvy řádků,
• jejich společnou část s interními kontrolními znaky,
• zbylé řádky a sloupce s daty.

Při exportu do jiných formátů (např. ‘‘csv‘‘, ‘‘xls‘‘) je uvedená struktura dodržena, pro import z jiných formátů je tato struktura závazná.

Řídící vektor je vektor, jehož délka je shodná s počtem sloupců v matici, k níž přísluší. K dané matici lze vytvořit libovolné množství řídících vektorů. Řídící vektor obsahuje znaky, které určují, jaký typ dat sloupec datové matice obsahuje, případně jak má být zpracován. Řídící vektor slouží k rychlé modifikaci vlastností datové matice bez její úpravy.

Implicitní zakončení souborů s řídícím vektorem je ‘‘riv‘‘.


Datová matice

Datovou matici je možno

• zadat
• načíst ze souboru
• získat odečtením souřadnic bodů z grafu
• uložit do souboru
• uložit do souboru s jiným jménem
• zrušit se souborem, v němž je uložena
• prohlédnout a upravit její obsah
• vytisknout její obsah


Zadání datové matice

Údaje se zadávají po sloupcích.

Pro zadání nové datové matice

1. otevřete hlavní stránku,
2. klikněte na položku Data v základním menu,
3. kliknutím na položku New Data otevřete okno datového manažeru,
4. zadejte počet řádků Row a počet sloupců Col,
5. myší klikněte na buňku 1. řádku a 1. sloupce (světlý podklad),
6. postupně zadávejte vstupní údaje a zadaný údaj v buňce tabulky s datovou maticí odešlete stisknutím klávesy Enter. Po stisknutí klávesy Enter se aktivní buňka posune o řádek

Pozn.: Uděláte-li chybu či kdykoliv jindy je možno aktivitu buňky přesunout pomocí směrových křížových kláves pro pohyb kursoru. Při zadání nového údaje se původní údaj přepisuje.

7. po zadání datové matice, popřípadě po úpravě jejího obsahu, okno zavřete,

Pozn.: Program automaticky otevře standardní dialog Windows pro uložení souboru.

8. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,

Pozn.: Pokud neuvedete příponu, standardně se použije ‘‘dat‘‘, další akceptované přípony jsou ‘‘plt‘‘ (pro grafické soubory), ‘‘sim‘‘ (matice podobnosti). Použijete-li přípony ‘‘dat‘‘ nebo ‘‘plt‘‘, data se uloží ve formátu OPstat.

9. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.


Načtení datové matice ze souboru

Pro načtení datové matice ze souboru

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Open File otevřete standardní dialog Windows pro načtení souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu.

Pro načtení datové matice ze souboru a otevření editačního manažeru

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Open File & Edit otevřete standardní dialog Windows pro načtení souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu za současného otevření datového manažeru.

S načtenou datovou maticí můžete provádět další operace.


Získání datové matice odečtením souřadnic bodů z grafu

Pro získání datové matice odečtením souřadnic bodů z grafu

1. klikněte na položku Data v základním menu,
2. kliknutím na položku FromPlot otevřete okno modulu,
3. kliknutím na položku Load PlotPict v rámečku Input/Output otevřete standardní dialog Windows pro načtení grafického souboru (formáty “bmp“,”ico“, “jpg”, “gif”),
4. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
5. dvojitým kliknutím na název vybraného souboru importujte graf do programu,
6. v rámečku Description, do okénka xColName, zadejte název sloupce s popisem osy souřadnic (osa x) a stiskněte klávesu Enter,
7. rámečku Description, do okénka yColName, zadejte název sloupce s popisem osy pořadnic (osa y) a stiskněte klávesu Enter,
8. upravte polohu načteného grafu v grafickém okně tak, aby osy byly rovnoběžné s hranami tohoto okna; graf uvnitř grafického okna můžete posouvat pohybem myši se stisknutým pravým tlačítkem v ploše grafického okna, velikost grafu můžete měnit posouváním vertikálního panelu s nápisem Zoom myší se stisknutým levým tlačítkem a natočení grafu můžete měnit posouváním horizontálního panelu s nápisem Rotate myší se stisknutým levým tlačítkem,
9. uchopte myší se stisknutým levým tlačítkem jednotlivé šipky u editačních okének a tažením je umístěte tak, aby zobrazená úsečka pokud možno splývala s krajními souřadnicemi vyznačenými v grafu (čím větší rozdíl ve vzdálenosti krajních souřadnic, tím větší přesnost),
10. do odpovídajících editačních okének vepište příslušné hodnoty souřadnic grafu a odešlete stisknutím klávesy Enter),

Pozn.: Vhodné je zadávat údaje v pořadí, které je indikováno aktivací editačních okének (automatická změna po stisknutí klávesy Enter).

11. v rámečku Description, do okénka RowName, zadejte název aktuálního řádku s popisem bodu, jehož poloha bude snímána a stiskněte klávesu Enter,
12. v ploše grafického okna myší se stisknutým levým tlačítkem co nejpřesněji vymezte polohu bodu s použitím zaměřovacího čtverce v osovém kříži a uvolněte tlačítko myši,
13. kroky 10. a 11. opakujte pro všechny zvolené body.

Pozn.: Během odečítání souřadnic bodů je možno podle potřeby měnit polohu, velikost a natočení grafu podle kroku 7., následně je však nutné vždy upravit lokalizaci souřadnic grafu podle kroků 8. a 9 .

Pro uložení datové matice do souboru

1. kliknutím na položku Save Data v rámečku Input/Output otevřete standardní dialog Windows pro uložení souboru,
2. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru (standardně se použije přípona “dat“),
3. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.


Uložení datové matice do souboru

Pro uložení datové matice do souboru

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Save to File soubor s datovou maticí uložíte s původním jménem.


Uložení datové matice do souboru s jiným jménem

Pro uložení datové matice do souboru s jiným jménem

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Save to File as … otevřete standardní dialog Windows pro uložení souboru,
3. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,

Pozn.: Pokud neuvedete příponu, standardně se použije ‘‘dat‘‘, další akceptovaná přípona je ‘‘plt‘‘ (pro grafické soubory). Použijete-li přípony ‘‘dat’‘ nebo ‘‘plt‘‘, data se uloží ve formátu OPstat..

4. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.


Zrušení datové matice se souborem, v němž je uložena

Pro zrušení datové matice se souborem, v němž je uložena

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Delete File otevřete standardní dialog Windows pro uložení souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru vyvolejte proces zrušení souboru,
5. potvrďte volbu.


Prohlížení a úprava obsahu datové matice

Prohlédnout datovou matici nebo upravit její obsah lze pouze tehdy, je-li zadána, načtena ze souboru nebo načtena ze souboru v okně nějakého modulu. Aktuální je vždy ta datová matice, která byla zavedena jako poslední.

Datovou matici lze editovat ve dvou režimech tabulky - normálním (text “N-mode “ v levém horním rohu tabulky) a rozšířeném (text “E-mode “ v levém horním rohu tabulky). Rozšířený mód zahrnuje především operace s datovými poli. Oba režimy jsou odlišeny podbarvením tabulky.

Pro přepínání mezi režimy tabulky použijte dvojklik na levou horní buňku tabulky.

Pro úpravu obsahu datové matice (editaci)

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Edit otevřete okno pro editaci datové matice,
3. proveďte případné úpravy obsahu datové matice (viz níže),
4. zavřete okno a řiďte se vyvolanou událostí,

Pozn.: Pokud jste provedli nějakou změnu v porovnání se vstupním stavem, otevře se standardní dialog Windows pro uložení souboru s názvem aktuálního souboru v příslušné knihovně, v opačném případě se vrátíte na hlavní stránku.

5. pokud se objeví standardní dialog Windows pro uložení souboru, pak ponechte stávající název souboru nebo vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,

Pozn.: Pokud ponecháte název souboru, uloží se takto. Pokud název souboru změníte a neuvedete příponu, standardně se použije ‘‘dat‘‘, další akceptovaná přípona je ‘‘plt‘‘ (pro grafické soubory) a ‘‘csv‘‘ (obecný textový formát se středníkem jako oddělovačem). Použijete-li přípony ‘‘dat‘‘ nebo ‘‘plt‘‘, data se uloží ve formátu OPstat.

6. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.

Operace v normálním režimu tabulky:

Prohlížení datové matice v tabulce

Datovou matici lze prohlížet v tabulce okna. Pokud rozměry datové matice přesahují rozměry tabulky, lze datovou matici prohlížet posunem ukazovátek na připojených lištách nebo s použitím standardních kláves (Home, End, PageUp, PageDown, směrové křížové klávesy). Pro lepší čitelnost dlouhých názvů sloupců lze sloupec rozšířit na maximální délku názvu umístěním kursoru na název sloupce v záhlaví tabulky a stiskem pravého tlačítka myši.

Změna počtu řádků nebo sloupců

Počet řádků nebo sloupců lze změnit přepínačem u symbolů Row (řádky) nebo Col (sloupce), nebo přímo zadáním příslušného počtu do okénka přepínače. Program upraví rozměry tabulky, jsou-li rozměry větší než okno obrazovky, přidají se automaticky lišty.

Kopírování, přidání a odstranění řádků nebo sloupců

Řádek nebo sloupec zkopírujete kliknutím na příkaz Row copy (kopírování řádků) nebo Column copy (kopírování sloupců) v nabídce operací, zadáním názvu nového řádku nebo sloupce a po potvrzení klávesou Enter následným kliknutím na název řádku nebo sloupce, za nějž má být nový řádek nebo sloupec vložen. Řádek nebo sloupec vložíte kliknutím na příkaz Row Insert (vložení řádků) nebo Column insert (vložení sloupců) v nabídce operací, zadáním názvu nového řádku nebo sloupce a po potvrzení klávesou Enter následným kliknutím na název řádku nebo sloupce, před nějž má být nový řádek nebo sloupec vložen. Řádek nebo sloupec odstraníte kliknutím na příkaz Row remowe (odstranění řádků) nebo Column remowe (odstranění sloupců) v nabídce operací a následným kliknutím na název vybraného řádku nebo sloupce.

Změna názvů řádků nebo sloupců

Pro změnu názvu řádku nebo sloupce datové matice nejprve vyvolejte název, který chcete změnit do okénka s názvem aktivního řádku, resp. sloupce. Toho dosáhnete klinutím na název řádku nebo sloupce v tabulce, popřípadě přepínačem pod textem RowName (řádky) nebo ColName (sloupce). V okénku s názvem aktivního řádku, resp. sloupce změňte název, změna se projeví v datové matici v tabulce.

Změna pořadí řádků nebo sloupců

Pro změnu pořadí řádků nebo sloupců datové matice umístěte kursor na název řádku nebo sloupce v tabulce, který chcete přesunout a tažením myší se stisknutým levým tlačítkem umístěte na požadované místo vyznačené kursorem ve tvaru svazku listů (způsob táhni a pusť).

Oprava údaje v datové matici

Opravovat lze pouze údaj v aktivní buňce tabulky. Pro opravu jedné buňky klikněte myší na tuto buňku nebo pomocí směrových křížových kláves na tuto buňku přeneste aktivitu. Přepište údaj a potvrďte klávesou Enter. Při opravě více údajů ve sloupci lze přepisovat údaje stejně, jako při zadávání nových.

Změna polohy údaje v datové matici

Pro změnu polohy údaje v tabulce umístěte kursor na vybranou buňku (nesmí být aktivní), jehož polohu chcete změnit a tažením myší se stisknutým levým tlačítkem umístěte na požadované místo vyznačené kursorem ve tvaru ‘‘pacičky‘‘ (způsob táhni a pusť). Není-li cílová buňka prázdná, je nutno umístění údaje do této buňky potvrdit.

Operace s datovou maticí a transformace sloupců datové matice

Kliknutím myší vyberte požadovanou operaci nebo transformaci z nabídky operací a transformací a dále se řiďte pokyny v horním rámečku. Pokud je výstupem transformovaná veličina, ukládá se na stejný řádek do nového sloupce na konci tabulky a program vyžaduje zadání názvu tohoto sloupce. Chybějící údaje se ignorují a do výsledného sloupce je uložen prázdný znak. Pokud nelze operaci provést, do daného řádku výsledného sloupce se uvede slovo ‘‘ERROR‘‘. Pokud potřebujete provést transformaci řádků, datovou matici transponujete příkazem Transposition v nabídce operací a transformací, proveďte příslušnou transformaci a datovou matici zpětně transponujete do původních rozměrů.

Kontrola dat prostřednictvím závislostí mezi sloupci datové matice

Pro kontrolu dat v datové matici je možno vynášet závislosti mezi sloupci a vyhledávat tak odlehlé body. Potřebný grafický manažer v 2D vyvoláte stisknutím tlačítka Plots. Podle návodu pro tento grafický manažer vyberte dvojici proměnných X a Y. Pro identifikaci odlehlého bodu umístěte kursor na tento vybraný bod a stiskněte levé tlačítko myši. Zobrazí se název řádku a současně se uloží identifikace tohoto bodu do paměti. Po návratu do datového manažeru je v tabulce aktivována buňka na příslušném řádku a ve sloupci odpovídajícímu proměnné zvolené jako závisle proměnná (Y).

Operace v rozšířeném režimu tabulky:

Vyznačení oblasti buněk pro další operace

Pro vyznačení požadované oblasti buněk umístěte kursor myši na začátek požadované oblasti a tažením se stisknutým levým tlačítkem myši oblast vybarvěte. Pro vyznačení celého sloupce nebo několika sloupců umístěte kursor myši na název vybraného sloupce a klikněte na něj, popřípadě táhněte myší se stisknutým levým tlačítkem přes názvy požadovaných sloupců. Stejně postupujte i pro vybraný řádek nebo řádky. Pro vyznačení celé tabulky klikněte na buňku v levém horním rohu tabulky.

Pro vymazání obsahu vyznačené oblasti buněk

stiskněte tlačítko Clear.

Pro vyjmutí obsahu vyznačené oblasti buněk a uložení do paměti

stiskněte tlačítko Cut.

Pro zkopírováni obsahu vyznačené oblasti buněk do paměti

stiskněte tlačítko Copy.

Pro vkopírování oblasti buněk z paměti do požadovaného místa

klikněte myší na buňku, která má být levou horní buňkou nové oblasti a stiskněte tlačítko Paste.

Pozn.: Je-li současně spuštěn program MS Excel, je možno pomocí operací Copy a Paste v programu OPstat a v programu MS Excel obousměrně přenášet označené bloky mezi aktivní částí tabulky programu OPstat a listem programu MS Excel.

Pro vložení jednoho nebo více sloupců

1. vyznačte sloupec (spojitou oblast sloupců), před nějž (něž) má být oblast buněk o stejné velikosti vložena a
2. stiskněte tlačítko Insert.

Pro vložení jednoho nebo více řádků

1. vyznačte řádek (spojitou oblast řádků), před nějž (něž) má být oblast buněk o stejné velikosti vložena a
2. stiskněte tlačítko Insert.

Pro odstranění jednoho nebo více sloupců (řádků)

1. označte požadovanou oblast a
2. stiskněte tlačítko Delete.

Pro vyplnění souvislé oblasti buněk řadou hodnot

1. zadejte počáteční hodnotu v okénku označeném x,
2. zadejte inkrement v okénku označeném inc x,
3. vyznačte oblast buněk k vyplnění,
4. oblast vyplňte po sloupcích stisknutím tlačítka Fill Column …, resp. po řádcích stisknutím tlačítka Fill Row …

Pro zaokrouhlení hodnot v exponenciálním tvaru nebo změnu jejich formátu na obecný formát

1. vyznačte požadovanou oblast buněk a
2. stiskněte tlačítko Round se symbolicky vyjádřeným počtem desetinných míst pro zaokrouhlení nebo tlačítko General Fmt pro změnu na obecný formát.


Tisk obsahu datové matice

Pro tisk datové matice

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Print soubor s datovou maticí vytisknete na tiskárně. Výpis obsahuje názvy sloupců a řádků.


Vytvoření datové matice z jiných datových matic

Pro vytvoření datové matice z jiných datových matic je nutné, aby počet řádků, resp. počet sloupců původních matic a cílové matice byly stejné.

Pro vytvoření datové matice z jiných datových matic

1. klikněte na položku Data v základním menu,
2. kliknutím na položku BuildMat otevřete okno pro vytvoření datové matice z jiných datových matic,
3. v rámečku Col/Row Switch zvolte, zda budete vytvářet matici
4. po sloupcích,
5. po řádcích,
6. rekonstrukcí s kopírováním vybraných sloupců pod sebe do nového sloupce,
7. rekonstrukcí s kopírováním vybraných sloupců pod sebe do nového sloupce a odpovídající duplikaci ostatních ve stávajícím sloupci na počet řádků nové matice,
8. expandováním zdrojového sloupce obsahujícího přirozená čísla na nul-jedničkovou matici (jednička v daném řádku a sloupci s pořadovým číslem odpovídajícím hodnotě ve zdrojovém sloupci, zbytek nuly),
9. v rámečku Target Rows from File tlačítkem Input otevřete standardní dialog Windows pro načtení souboru,
10. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, ze kterého budou zkopírovány názvy řádků, resp. sloupců do nové datové matice,
11. dvojitým kliknutím na název vybraného souboru importujete data do programu,
12. v rámečku Source Matrix tlačítkem Input otevřete standardní dialog Windows pro načtení souboru, ze kterého budou vybrány sloupce do cílové datové matice,
13. kliknutím na název sloupce (řádku) v okně s nabídkou převeďte sloupec (řádek) do cílové datové matice, tento postup pro všechny sloupce (řádky), které mají být převedeny; pokud provádíte rekonstrukci, zvolte bodovým přepínačem v rámečku Reconstruction Switch, zda má být sloupec přidán do nově vytvářeného sloupce nebo duplikován ve sloupci stávajícím,
14. je-li to potřeba, opakujte body 5. a 6. s jinými maticemi,
15. v rámečku Target Matrix tlačítkem Save otevřete standardní dialog Windows pro uložení souboru,
16. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,

Pozn.: Pokud neuvedete příponu, standardně se použije ‘‘dat‘‘, další akceptovaná přípona je ‘‘plt‘‘ (pro grafické soubory). Použijete-li přípony ‘‘dat‘‘ nebo ‘‘plt‘‘, data se uloží ve formátu OPstat.

17. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání,
18. zavřete okno.


Export datové matice do Excelu nebo import z Excelu

Datovou matici ve formátu programu OPstat lze exportovat do formátu tabulkového procesoru Excel. Exportovaný soubor má v Excelu první řádek s názvy sloupců a první sloupec s názvy řádků datové matice. Výsledný blok má o jeden řádek a jeden sloupec více, než exportovaná datová matice. Pokud jsou data v tomto tvaru připravena v Excelu, je možné je importovat do formátu OPstat. Export a import dat z formátu OPstat do Excelu a obráceně lze využít k úpravě datové matice popřípadě k exportům do dalších formátů a z dalších formátů, které program OPstat nepodporuje.

Pro úpravu datové matice v Excelu

1. zadejte nebo načtěte ze souboru datovou matici,
2. kliknutím na položku Editing by Excel otevřete okno Excelu,
3. proveďte potřebné operace,
4. pokud to považujete za vhodné, uložte změny ve formátu Excelu (‘‘xls‘‘),
5. zavřete Excel (následně automaticky proběhne export dat do formátu OPstat),
6. uložte změny ve formátu OPstat.

Při exportu datové matice z OPstat do Excelu

pro následné uložení souboru ve formátu ‘‘xls‘‘ a Excelem podporovaných formátů postupuje stejně, jako v předešlém případě.

Při importu datové matice z Excelu do OPstat

1. nově otevřete program OPstat,
2. kliknutím na položku Editing by Excel otevřete okno Excelu,
3. prostřednictvím Excelu načtěte soubor do okna,
4. zavřete Excel (následně automaticky proběhne export dat do formátu OPstat),
5. uložte data ve formátu OPstat.


Řídící vektor

Řídící vektor je možno

• zadat
• načíst ze souboru
• uložit do souboru
• uložit do souboru s jiným jménem
• zrušit se souborem, v němž je uložen
• prohlédnout nebo upravit jeho obsah
• vytisknout jeho obsah


Zadání řídícího vektoru

Pro zadání řídícího vektoru

1. otevřete hlavní stránku,
2. klikněte na položku DriVec v základním menu,
3. kliknutím na položku New otevřete okno manažeru řídícího vektoru,
4. kliknutím na tlačítko NewData v rámečku Corresponding Source Matrix otevřete standardní dialog Windows pro otevření souboru,
5. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž je uložena datová matice, ke které má být vytvořen řídící vektor,
6. dvojitým kliknutím na název vybraného souboru importujete data do programu,
7. potvrďte seznámení s faktem, že počet sloupců datové matice a aktuálního řídícího vektoru jsou rozdílné (jedná se o rutinní kontrolu vstupů),
8. k názvům sloupců v tabulce doplňte symboly podle typu (použitelné symboly jsou v tabulce Usable Characters, včetně vysvětlivek), po zadání symbolu se aktivní buňka posune o řádek níže,

Pozn. 1: Pokud uvedete nesprávný znak, buňka se vymaže a aktivní buňka se neposune.

Pozn.2: Pro naplnění všech buněk znakem “x” použijte dvojklik ve sloupci zadávaných znaků .

9. po zadání řídícího vektoru okno zavřete,

Pozn.: Program automaticky otevře standardní dialog Windows pro uložení souboru a nastaví cesty do knihovny řídících vektorů příslušné k použité datové matici.

10. do příslušného místa dialogového okna napište název souboru,
11. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.


Načtení řídícího vektoru ze souboru

Pro načtení řídícího vektoru ze souboru

1. klikněte na položku DriVec v základním menu,
2. kliknutím na položku From File otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu.

S načteným řídícím vektorem můžete provádět další operace.


Uložení řídícího vektoru do souboru

Pro uložení řídícího vektoru do souboru

1. klikněte na položku DriVec v základním menu,
2. kliknutím na položku Save to File soubor s datovou maticí uložíte s původním jménem.


Uložení řídícího vektoru do souboru s jiným jménem

Pro uložení řídícího vektoru do souboru s jiným jménem

1. klikněte na položku DriVec v základním menu,
2. kliknutím na položku Save to File as … otevřete standardní dialog Windows pro uložení souboru,
3. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,
4. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.


Zrušení řídícího vektoru se souborem, v němž je uložen

Pro zrušení řídícího vektoru se souborem, v němž je uložen

1. klikněte na položku DriVec v základním menu,
2. kliknutím na položku Delete File otevřete standardní dialog Windows pro uložení souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru vyvolejte proces zrušení souboru,
5. potvrďte volbu.


Prohlédnutí nebo úprava řídícího vektoru

Prohlédnout řídící vektor nebo upravit jeho obsah lze pouze tehdy, je-li zadán, načten ze souboru. Aktuální je vždy ten řídící vektor, který byl zaveden jako poslední.

Pro úpravu obsahu řídícího vektoru (editaci)

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Edit otevřete okno pro editaci řídícího vektoru,
3. proveďte případné úpravy obsahu řídícího vektoru (viz níže),
4. zavřete okno a řiďte se vyvolanou událostí,

Pozn.: Pokud jste provedli nějakou změnu v porovnání se vstupním stavem, otevře se standardní dialog Windows pro uložení souboru s názvem aktuálního souboru v příslušné knihovně, v opačném případě se vrátíte na hlavní stránku.

5. pokud se objeví standardní dialog Windows pro uložení souboru, pak ponechte stávající název souboru nebo vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,
6. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.

Prohlížení řídícího vektoru v tabulce

Řídící vektor lze prohlížet v tabulce okna. Pokud rozměry datové matice přesahují rozměry tabulky, lze datovou matici prohlížet posunem ukazovátek na připojených lištách nebo s použitím standardních kláves (PageUp, PageDown, směrové křížové klávesy nahoru a dolu).

Změna řídícího vektoru

Opravovat lze pouze údaj v aktivní buňce tabulky. Pro opravu symbolu v buňce klikněte myší na tuto buňku nebo pomocí směrových křížových kláves nahoru nebo dolů na tuto buňku přeneste aktivitu a přepište údaj. Při opravě více údajů ve sloupci lze přepisovat údaje stejně, jako při zadávání nových.


Tisk řídícího vektoru

Pro tisk řídícího vektoru

1. klikněte na položku DriVec v základním menu,
2. kliknutím na položku Print soubor s datovou maticí vytisknete na tiskárně. Výpis obsahuje čísla sloupců podle jednotlivých symbolů.


Operace s textovými výstupy

Textový manažer umožňuje kromě výpisu

• tisk textového souboru na tiskárně
• kopírování výstupního textového souboru
• otevření textového editoru NotePad (Poznámkový blok) obsaženého ve Windows

Pozn.: Pokud je soubor větší, než kapacita objektu, v němž je zobrazen, automaticky se volá a otevře standardní textový editor Windows NotePad (Poznámkový blok), popř. pro velmi velké soubory textový editor WordPad.


Tisk textového souboru na tiskárně

Pro tisk textového souboru na tiskárně

1. klikněte na položku Results v základním menu,
2. kliknutím na položku PrintList otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu (implicitně OPstat\Data\Results) a v ní soubor, v němž je uložen textový soubor (implicitně s příponou ‘‘txt‘‘),
4. dvojitým kliknutím na název vybraného souboru odešlete data na tiskárnu.


Kopírování výstupního textového souboru

Všechny výpočetní moduly programu OPstat exportují výstupní text do souboru ‘‘TempResult.txt‘‘ v knihovně OPstat\Data\Results. Tento výstupní textový soubor lze zkopírovat (např. pro archivaci) do souboru s jiným jménem v jiné knihovně nebo na jiném nosiči.

Pro uložení výstupního textového souboru do souboru s jiným jménem

1. klikněte na položku Results v základním menu,
2. kliknutím na položku Copy otevřete standardní dialog Windows pro uložení souboru,
3. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru, včetně přípony (jedná se o textový soubor, vhodná přípona je ‘‘txt‘‘),
4. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.


Otevření textových editorů NotePad (Poznámkový blok) a WordPad

Pro otevření textového editoru NotePad (Poznámkový blok) obsaženého ve Windows

1. klikněte na položku Results v základním menu,
2. kliknutím na položku NotePad otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu (implicitně OPstat\Data\Results) a v ní soubor, v němž je uložen textový soubor (implicitně s příponou ‘‘txt‘‘),
4. dvojitým kliknutím na název vybraného souboru otevřete textový editor NotePad (Poznámkový blok).

Pozn.: Pokud je soubor velmi velký, místo textového editoru NotePad se automaticky volá a otevře textový editor Windows WordPad.


Operace s 2D a 3D grafickými objekty (grafické manažery)

Program OPstat má v některých výpočetních modulech zabudovány grafické výstupy, popřípadě umožňuje analyzovat graficky data přímo. K tomu slouží dvoudimensionální (2D) a třídimensionální (3D) grafické manažery.

Grafické manažery používají jako vstupní formát dat buď datovou matici nebo xyzTabulku. xyzTabulka je podobná datové matici, ale místo názvů sloupců má hodnoty souřadnice x, místo názvů řádků má hodnoty souřadnice y a buňce sloupce (x) a řádku (y) má hodnotu souřadnice z.

Implicitní zakončení souborů pro grafické manažery je ‘‘plt‘‘ (je též ve vstupním filtru). Jako vstupní data lze použít i jiná data (např. s příponou ‘‘dat‘‘), pokud mají data formát datové matice.

V programu OPstat jsou tyto grafické manažery:

• Zobrazení dat a závislostí mezi proměnnými v 2D-prostoru
• Zobrazení dat a souvisejících implicitních křivek v 2D-prostoru
• Projekce objektů z 3D do 2D, simultánní grafy v 3D
• Analýza rozložení bodů v 3D-prostoru
• Vytváření a analýza hyperploch s okraji v 3D-prostoru interpolací z dat v xyzTabulce
• Vytváření a analýza hyperploch s okraji v 3D-prostoru interpolací
• Vytváření a analýza hyperploch s okraji v 3D-prostoru aproximací z dat v xyzTabulce
• Vytváření a analýza hyperploch s okraji v 3D-prostoru aproximací


Zobrazení dat a závislostí mezi proměnnými v 2D-prostoru

Modul 2D-Inspector, 2D-plots lze využít k rychlé vizuální analýze rozložení bodů ve dvou dimenzích os x a y nebo ke grafickému znázornění závislostí mezi dvěma proměnnými nebo závislostí více proměnných na jedné společné proměnné. Základním vstupním formátem dat je datová matice, přičemž manažer zobrazuje vztahy mezi dvěma sloupci matice (souřadnice x a y) nebo skupinou sloupců matice a jedním sloupcem matice se společnou proměnnou (souřadnice x, y1, y2, … ). Pro kreslení barevných úseček a křivek jako výstupů z některých datových modulů OPstat využívá vnitřního kódu.

K zobrazení bodu v ploše lze použít kruh, pořadové číslo položky nebo tečku (bod). Tyto symboly lze spojit úsečkou nebo racionálním kubickým spline. Průběh spline lze tažením myší v ploše upravit a vytvořit tak aproximační spline.

Z vytvořených obrázků lze na tiskárně pořídit kopii. Pro další grafické úpravy lze obrázky exportovat do modulu Presentation .

Pro použití 2D-Plots jako samostatného modulu

1. klikněte na položku Plots & Surfaces v základním menu,
2. kliknutím na položku 2D-Inspector, 2D-Plots, y = f(x) otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
4. dvojitým kliknutím importujete data do počítače a otevřete manažer.

K načtení nových dat

1. stisknutím tlačítka Input v rámečku Input, Copy and Print box otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
3. dvojitým kliknutím importujte data do počítače.

Pro uložení obrázku do schránky

stiskněte tlačítko Copy v rámečku Input, Copy and Print box. Současně se vytvoří v knihovně Results soubor „2D-PlotsTemp.jpg“.

K zobrazení dat v režimu s jednou hodnotou y

1. zkontrolujte, zda v rámečku MultiPlots je políčko No/Yes prázdné,
2. v souladu s pokyny v horním rámečku vyberte kliknutím v okně s názvy sloupců sloupec reprezentující osu x (osa pořadnic) a sloupec reprezentující osu y (osa souřadnic) a stejně pokračujte i pro další dvojice.

K zobrazení dat v režimu s více hodnotami y

1. v rámečku MultiPlots zaškrtněte políčko No/Yes a případně nastavte výchozí stav tlačítkem Clear,
2. v souladu s pokyny v horním rámečku vyberte kliknutím v okně s názvy sloupců sloupec reprezentující osu x (osa pořadnic),
3. dále stejným způsobem postupně vybírejte sloupce, jejichž obsah má být vynesen na osu y (osa pořadnic),
4. před vynesením nových závislostí nastavte výchozí stav tlačítkem Clear.

K přiřazení určitého bodu objektu (řádku)

1. umístěte kříž kursoru co nejblíže danému bodu (značce),
2. stiskněte levé tlačítko myši.

Pro změnu velikosti symbolu bodu

nastavte požadovanou hodnotu v okénku Size v rámečku Input and Print Box.

Pro změnu symbolu bodu

použijte přepínač v rámečku Mark.

Pro zobrazení zaměřovacího kříže

zaškrtněte zaškrtávací políčko v rámečku Mark.

Pro proložení bodů podle pořadí úsečkou

v rámečku Connecting / Smoothing

1. zvolte položku Line,
2. zaškrtněte políčko Connect.

Pro interplaci bodů podle pořadí racionálním kubickým spline

v rámečku Connecting / Smoothing

1. zvolte položku Curve,
2. zaškrtněte políčko Connect.

Pro aproximaci bodů podle pořadí racionálním kubickým spline

v rámečku Connecting / Smoothing

1. zvolte položku Curve,
2. zaškrtněte políčko Connect,
3. umístěte kursor myši (‘‘pacičku‘‘) do blízkosti bodu, u něhož chcete průběh křivky upravit,
4. stiskněte levé tlačítko myši a tažením ve svislém směru upravte průběh křivky.

Pro zvětšení obrázku

použijte přepínač vlevo od slova Zoom v rámečku Image Tools.

Pro horizontální nebo vertikální posun obrázku

použijte přepínače vlevo od slov Shift in X, resp. Shift in Y.

Pro získání výřezu z obrázku

1. v levém horním rohu předpokládaného výřezu stiskněte pravé tlačítko myši a pohybem myší vytvořte rámeček výřezu,
2. stisknutím tlačítka se symbolem # v rámečku Image Tools výřez zvětšete.

Pro tisk obrázku na tiskárně

V rámečku Input,Copy and Print Box

1. určete velikost čísla v pixelech, pokud budou body reprezentovány čísly,
2. zadejte hustotu bodů na tiskárně (v okénku je číslo odvozené z údajů připojené tiskárny),
3. stisknutím tlačítka Print odešlete obrázek na tiskárnu.

Pro export obrázku do modulu Presentation

Po nakreslení závislosti v rámečku Modul Presentation

1. stiskněte tlačítko Export and run,
2. dále postupujte podle návodu k modulu Presentation.


Zobrazení dat a souvisejících implicitních křivek v 2D-prostoru

Modul 2D-Inspector, 2D-Implicit curves lze využít k rychlé vizuální analýze rozložení dat ve dvou dimenzích os x a y a k analýze jejich struktury prostřednictvím implicitních křivek. Základním vstupním formátem dat je datová matice, přičemž manažer zobrazuje vztahy mezi dvěma sloupci matice (souřadnice x a y).

K zobrazení bodu v ploše lze použít kruh, pořadové číslo položky nebo tečku (bod).

Z vytvořených obrázků lze na tiskárně pořídit kopii. Pro další grafické úpravy lze obrázky exportovat do modulu Presentation .

Pro použití 2D-Implicit curve jako samostatného modulu

1. klikněte na položku Plots & Surfaces v základním menu,
2. kliknutím na položku 2D-Inspector, 2D-Implicit curves, f(x,y) = const otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
4. dvojitým kliknutím importujete data do počítače a otevřete manažer.

K načtení nových dat

1. stisknutím tlačítka Input v rámečku Input, Copy and Print box otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
3. dvojitým kliknutím importujte data do počítače.

K zobrazení dat

v souladu s pokyny v horním rámečku vyberte kliknutím v okně s názvy sloupců sloupec reprezentující osu x (osa pořadnic) a sloupec reprezentující osu y (osa souřadnic). Zobrazené body jsou obklopeny implicitní křivkou.

Pro uložení obrázku do schránky

stiskněte tlačítko Copy v rámečku Input, Copy and Print box. Současně se vytvoří v knihovně Results soubor „2D-ImplicitTemp.jpg“.

Ke změně míry vlivu bodů (rozsahu implicitních křivek)

použijte posuvník Volume v rámečku Implicit curve conditions.

Ke změně kvality (hustoty vykreslení)

použijte číselné přepínače v rámečku Implicit curve conditions. S vyšší hodnotou získáte lepší prokreslení na úkor zpomalení odezvy na změny.

K přiřazení určitého bodu objektu (řádku)

1. umístěte kříž kursoru co nejblíže danému bodu (značce),
2. stiskněte levé tlačítko myši.

Pro změnu symbolu bodu

použijte přepínač v rámečku Mark.

Pro změnu velikosti symbolu bodu

nastavte požadovanou hodnotu v okénku Size v rámečku Input and Print Box.

Pro zvětšení obrázku

použijte přepínač vlevo od slova Zoom v rámečku Image Tools.

Pro horizontální nebo vertikální posun obrázku

použijte přepínače vlevo od slov Shift in X, resp. Shift in Y.

Pro získání výřezu z obrázku

1. v levém horním rohu předpokládaného výřezu stiskněte pravé tlačítko myši a pohybem myší vytvořte rámeček výřezu,
2. stisknutím tlačítka se symbolem # v rámečku Image Tools výřez zvětšete.

Pro tisk obrázku na tiskárně

V rámečku Input, Copy and Print Box

1. určete velikost čísla v pixelech, pokud budou body reprezentovány čísly,
2. zadejte hustotu bodů na tiskárně (v okénku je číslo odvozené z údajů připojené tiskárny),
3. stisknutím tlačítka Print odešlete obrázek na tiskárnu.

Pro export obrázku do modulu Presentation

Po nakreslení implicitních křivek v rámečku Modul Presentation

1. stiskněte tlačítko Export and run,
2. dále postupujte podle návodu k modulu Presentation.


Projekce objektů z 3D do 2D, simultánní grafy v 3D

Projekce objektů 3D do 2D, simultánní grafy v 3D

Manažer projekce objektů 3D do 2D lze využít k jednoduché dvourozměrné vizualizaci třírozměrných objektů zadaných funkcí dvou proměnných z = f(x,y) nebo xyzTabulkou. Objekty lze znázornit jako průhledné vytvořené z čar (drátů), strukturované formou plošných řezů, pokryté neprůhlednými ploškami jako střešní krytinou nebo formou vrstevnic. Pro lepší znázornění lze volit úhel, který svírá předozadní osa y s vodorovnou osou x v projekci (mimo vrstevnice). Pokud je hustota bodů popisující plochu v xyzTabulce malá, lze použít 3D-Bézierovu aproximaci, kterou se vytvoří hustá síť bodů vhodná k další vizualizaci. Objekty tvořené plochami je možno podle potřeby vybarvit barvou z palety barev nebo odstupňovanými odstíny šedi. Pro další grafické úpravy lze obrázky exportovat do modulu Presentation .

Pro použití grafického manažeru projekce objektů 3D do 2D

1. klikněte na položku Plots & Surfaces v základním menu,
2. kliknutím na položku 3D -> 2D-Shape, z = f(x,y), xyzTab otevřete okno modulu.

K výběru typu a podmínek zobrazení použijte ovládací prvky v rámečku Conditions.

Pro znázornění objektu čarami použijte přepínače xz-Vertical Wires (pravolevé), yz-Vertical Wires (předozadní), Rings (vodorovné prstence), Cage (drátěná klec).

Pro znázornění objektu plošnými řezy použijte přepínače xz-Vertival Plates (paralelní s plochou obrazovky), yz-Vertical Planes (kolmé na plochu obrazovky) nebo Horizontal Plates (vodorovné).

Pro znázorněné objektu pokrytého neprůhlednými ploškami jako střešní krytinou použijte přepínač Tiles.

Pro vykreslení vrstevnic v ose z použijte přepínač Conture Lines, počet řezů zvolte přepínačem No of Plates nebo zadáním celočíselné hodnoty do jeho okénka. Pokud chcete vrstevnice očíslovat, zaškrtněte políčko Numbers.

Pro aproximaci zadané plochy 3D-Bézierovou sítí s dostatečnou hustotou pro zobrazení zaškrtněte políčko Interpolation.

Pro vybarvení svislých a vodorovných ploch barvou z barevné palety stiskněte dialogové tlačítko BrushColor a vyberte požadovanou barvu. Pro vybarvení vodorovných ploch a ploch vrstevnic odstupňovanou šedí zaškrtněte políčko Gray, tato volba vyřazuje volbu barvy z barevné palety.

Úhel zobrazení osy y nastavte přepínačem Angle nebo zadáním celočíselné hodnoty do jeho okénka.

K načtení 3D dat ze souboru a vykreslení objektu v ploše

1. V rámečku Conditions vyberte typ a podmínky zobrazení,
2. stisknutím tlačítka Input v rámečku Input from xyzTable otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
4. dvojitým kliknutím importujte data do počítače,
5. stisknutím tlačítka Draw nakreslete obrázek.

Pro zadání funkce dvou proměnných popisujících objekt a vykreslení objektu v ploše

1. V rámečku Conditions vyberte typ a podmínky zobrazení,
2. v rámečku By Calculation zadejte v Pacalu (Delphi) tvar funkce podle předlohy (zadáno dvourozměrné normální rozdělení),
3. v okéncích pod nadpisy x begin, x end a x div to zadejte počáteční hodnotu proměnné x, konečnou hodnotu proměnné x a počet úseků, na něž má být tento interval rozdělen,
4. tytéž údaje zadejte pro proměnnou y,
5. stisknutím tlačítka Draw nakreslete obrázek.

Pro export obrázku do modulu Presentation

po nakreslení závislosti

1. v rámečku Modul Presentation stiskněte tlačítko Export and run,
2. dále postupujte podle návodu k modulu Presentation.


Analýza rozložení bodů v 3D-prostoru

K analýze rozložení bodů v prostoru se vyžívá trojrozměrné perspektivní projekce bodů jako kuliček v prostoru vyznačeném podle volby osovým křížem, rovinami souřadnicového systému nebo rovinami vymezujícími prostor ve tvaru krychle. Vybrané dvojice bodů lze proložit přímkou, vybrané body lze proložit rovinou a kolem všech bodů s výjimkou vybraných lze vytvořit implicitní plochu.

Pro další grafické úpravy lze obrázky exportovat do modulu Presentation.

Pro použití grafického analyzátoru rozložení bodů v třírozměrném prostoru

1. klikněte na položku Plots & Surfaces v základním menu,
2. kliknutím na položku 3D-Inspector, 3D-Implicit surfaces, f(x,y,z) = const otevřete okno 3D-inspektoru.

K načtení dat a jejich znázornění

1. v rámečku Input, Copy and Print box stisknutím tlačítka Input otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
3. dvojitým kliknutím importujte data do počítače,
4. ze seznamu názvů sloupců datové matice v okně kliknutím podle pokynů v horním rámečku vyberte postupně sloupce reprezentující osy x (vodorovná), y (předozadní) a z (svislá),
5. v rámečku Conditions vyberte zaškrtnutím zobrazení osového kříže (Axis), vymezujících ploch krychle (Box), nebo ploch souřadnicového systému vymezujících oktanty (Axis planes),
6. podle potřeby změňte velikost kuliček v rámečku za slovy Radius of Spheres,po nakreslení obrázku natočte prostor podle potřeby pohybem myší se stisknutým levým tlačítkem v ploše obrázku.

Pro změnu zobrazení prvků vymezujících prostor

zaškrtněte nebo zrušte zaškrtnutí políček v rámečku Conditions, obrázek se po každé změně automaticky znovu překreslí.

Pro změnu rozsahu prostoru zaujímaného body

použijte posuvník v rámečku Conditions označený Spheres.

Pro změnu velikosti celého zobrazovaného prostoru

použijte posuvník v rámečku Conditions označený Space.

Pro přiřazení identity určitého bodu

zaškrtněte políčko Localization v rámečku Localization & selection a myší pohybujte v ploše zobrazených bodů. Lokalizované body jsou v ploše umístěny v okolí kursoru myši a jsou zvýrazňovány oranžovou barvou. Protože se lokalizují body umístěné v třírozměrném prostoru (tři souřadnice) prostřednictvím projekce v rovině (dvě souřadnice), nemusí se lokalizace vybraného bodu vždy podařit. Soustavu bodů se proto otáčením snažte orientovat vždy tak, aby lokalizovaný bod byl co nejblíže k pozorovateli a vpravo a nahoře od něj bylo zobrazeno co nejméně dalších bodů (tento postup dále označen jako orientace). Trvalou lokalizaci lokalizovaného bodu získáte kliknutím pravým tlačítkem myši. Trvalou lokalizaci bodu zrušíte opětovným kliknutím pravým tlačítkem myši (projeví se po vzdálení kursoru od bodu).

Identita lokalizovaného bodu je dána jednak jeho pořadovým číslem v rámečku přepínače Sphere no., jednak popisem daného bodu v připojeném okénku (podle názvy řádku v datech).

Pro proložení vybrané dvojice bodů přímkou

1. trvale lokalizujte první bod,
2. trvale lokalizujte druhý bod a
3. zaškrtněte (nebo podle potřeby zrušte zaškrtnutí) políčko Line throug localized rámečku Localization & selection.

Pro proložení vybraných bodů rovinou

1. trvale lokalizujte všechny vybrané body (nezbytně nejméně tři) a
2. zaškrtněte (nebo podle potřeby zrušte zaškrtnutí) políčko Plane throug localized rámečku Localization & selection.

Pro vytvoření implicitní plochy kolem všech bodů s výjimkou vybraných

1. trvale lokalizujte body, které nemají vytvářet implicitní plochu (nemusejí být žádné – standardní stav),
2. zaškrtněte (nebo podle potřeby zrušte zaškrtnutí) políčko Implicit balls without localized,
3. změnou polohy připojeného posuvníku měňte míru vlivu bodů až do vytvoření vhodné struktury implicitních ploch.

Export obrázku do schránky

proveďte stisknutím tlačítka Copy v rámečku Input, Copy and Print Box. Program uloží obrázek do schránky (možno importovat např. do Wordu) a uloží do knihovny Results jako soubor „3D-InspectorTemp.jpg“.

Tisk obrázku

vyvolejte stisknutím tlačítka Print v rámečku Input, Copy and Print Box. Program vytiskne obrázek na tiskárně.

Pro export obrázku do modulu Presentation

1. po nakreslení závislosti
2. v rámečku Modul Presentation stiskněte tlačítko Export and run,
3. dále postupujte podle návodu k modulu Presentation.


Aproximace z dat v xyzTabulce

Vytváření a analýza hyperploch s okraji v 3D-prostoru aproximací z dat v xyzTabulce

 Top Previous Next

Ke grafickému vyjádření závislosti určité veličiny na dvou proměnných lze využít aproximaci rozložení bodů dostatečně hladkou plochou vytvářející hyperplochu v třírozměrném prostoru nad oběma proměnnými – souřadnicemi. V programu OPstat jsou k tomuto účelu použity dvourozměrné Bézierovou plochy různého stupně. Jedním ze způsobů zadání souřadnic a příslušné hodnoty závisle proměnné je xyzTabulka Proceduru lze rovněž využít k vykreslení plochy vyjádřené funkcí dvou proměnných. Pohybem myší v ploše obrázku lze celou soustavou podle potřeby rotovat, přičemž je stále zachován třírozměrný pohled, včetně vzájemného zákrytu objektů vůči pozorovateli. Pro další grafické úpravy lze obrázky exportovat do modulu Presentation .

Pro otevření grafického manažeru umožňujícího vytváření a analýzu hyperploch v prostoru aproximací dat

1. klikněte na položku Plots & Surfaces v základním menu,
2. kliknutím na položku 3D-Plot-Aprox, z = f(x,y), xyzTab otevřete okno manažeru.

K načtení bodů a jejich nakreslení

1. v rámečku Input and Copy stisknutím tlačítka InpPoint otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data ve formě xyzTabulky, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
3. dvojitým kliknutím importujte data do počítače,
4. po nakreslení obrázku natočte prostor podle potřeby tažením myší se stisknutým levým tlačítkem v ploše obrázku.

K načtení souřadnic hyperplochy a její nakreslení

1. v rámečku Input and Copy stisknutím tlačítka InpSurf otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data ve formě xyzTabulky, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
3. dvojitým kliknutím importujte data do počítače,
4. po nakreslení obrázku natočte prostor podle potřeby tažením myší se stisknutým levým tlačítkem v ploše obrázku.

K nakreslení hyperplochy jako funkce dvou proměnných z = f(x,y)

(viz též Projekce objektů 3D do 2D, simultánní grafy v 3D)

1. v rámečku By Calculation zadejte v Pacalu (Delphi) tvar funkce podle předlohy (zadáno dvourozměrné normální rozdělení),
2. v okéncích pod nadpisy x begin, x end a x div to zadejte počáteční hodnotu proměnné x, konečnou hodnotu proměnné x a počet úseků, na něž má být tento interval rozdělen,
3. postup zopakujte pro proměnnou y,
4. stisknutím tlačítka Draw nakreslete obrázek,
5. po nakreslení obrázku natočte prostor podle potřeby tažením myší se stisknutým levým tlačítkem v ploše obrázku.

K nakreslení hyperplochy aproximací bodů

1. načtěte souřadnice bodů výše uvedeným postupem,
2. v rámečku Aproximation zvolte přepínačem stupeň Bézierovy křivky,
3. stisknutím tlačítka Calculate v rámečku Aproximation nakreslete hyperplochu,
4. po nakreslení obrázku natočte prostor podle potřeby tažením myší se stisknutým levým tlačítkem v ploše obrázku.

Pro změnu typu povrchu hyperplochy

zvolte přepínačem v rámečku Style povrch na čáry (Cage), tašky (dlaždice, Tile), tečky (Point), na přivrácené straně tašky, na odvrácené tečky (Ti/Po),

Pro změnu obarvení povrchu hyperplochy

v rámečku Style zaškrtněte políčko Color .

Pro posun objektů ve směru jednotlivých os

použijte přepínače v rámečku Translation.

Pro zvětšení objektu

použijte přepínač v rámečku Zoom.

Tisku obrázku

vyvolejte stisknutím tlačítka Print v rámečku Print Box. Program převede barevnou předlohu na černobílý obrázek a vytiskne jej na tiskárně.

Export obrázku do schránky

vyvolejte stisknutím tlačítka Copy v rámečku Input and Copy. Program uloží obrázek do Clipboardu (možno importovat např. do Wordu) a uloží do knihovny Results jako soubor „3D-PlotTemp.jpg“.

Pro export obrázku do modulu Presentation

po nakreslení závislosti

1. v rámečku Modul Presentation stiskněte tlačítko Export and run,
2. dále postupujte podle návodu k modulu Presentation.


Aproximace v Kartézských souřadnicích

Vytváření a analýza hyperploch s okraji v 3D-prostoru aproximací

 Top Previous Next

Ke grafickému vyjádření závislosti určité veličiny na dvou proměnných lze využít aproximaci rozložení bodů dostatečně hladkou plochou vytvářející hyperplochu v třírozměrném prostoru nad oběma proměnnými – souřadnicemi. V programu OPstat jsou k tomuto účelu použity dvourozměrné Bézierovou plochy různého stupně. Vstupním formátem je datová matice, souřadnou soustavu vytvoří 3 z ní vybrané sloupce. Pohybem myší v ploše obrázku lze celou soustavou podle potřeby rotovat, přičemž je stále zachován třírozměrný pohled, včetně vzájemného zákrytu objektů vůči pozorovateli. Pro další grafické úpravy lze obrázky exportovat do modulu Presentation .

Pro otevření grafického manažeru umožňujícího vytváření a analýzu hyperploch v prostoru aproximací dat

1. klikněte na položku Plots & Surfaces v základním menu,
2. kliknutím na položku 3D-Plot-Aprox, z = f(x,y) otevřete okno manažeru.

K načtení bodů a jejich nakreslení

1. v rámečku Input and Copy stisknutím tlačítka Input otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
3. dvojitým kliknutím importujte data do počítače,ze seznamu názvů sloupců datové matice v okně kliknutím podle pokynů v horním rámečku vyberte postupně sloupce reprezentující osy x (vodorovná), y (předozadní) a z (svislá),
4. po nakreslení bodů natočte prostor podle potřeby tažením myší se stisknutým levým tlačítkem v ploše obrázku.

K nakreslení hyperplochy aproximací bodů

1. načtěte souřadnice bodů výše uvedeným postupem,
2. v rámečku Aproximation zvolte přepínačem hustotu sítě hyperplochy,
3. stisknutím tlačítka Calculate v rámečku Aproximation nakreslete hyperplochu,
4. po nakreslení obrázku natočte prostor podle potřeby tažením myší se stisknutým levým tlačítkem v ploše obrázku.

Pro změnu typu povrchu hyperplochy

zvolte přepínačem v rámečku Style povrch na čáry (Cage), tašky (dlaždice, Tile), tečky (Point), na přivrácené straně tašky, na odvrácené tečky (Ti/Po),

Pro změnu obarvení povrchu hyperplochy

v rámečku Style zaškrtněte políčko Color .

Pro posun objektů ve směru jednotlivých os

použijte přepínače v rámečku Translation.

Pro zvětšení objektu

použijte přepínač v rámečku Zoom.

Tisku obrázku

vyvolejte stisknutím tlačítka Print v rámečku Print Box. Program převede barevnou předlohu na černobílý obrázek a vytiskne jej na tiskárně.

Export obrázku do schránky

vyvolejte stisknutím tlačítka Copy v rámečku Input and Copy. Program uloží obrázek do Clipboardu (možno importovat např. do Wordu) a uloží do knihovny Results jako soubor „3D-PlotTemp.jpg“.

Pro export obrázku do modulu Presentation

po nakreslení závislosti

1. v rámečku Modul Presentation stiskněte tlačítko Export and run,
2. dále postupujte podle návodu k modulu Presentation.


Interpolace z dat v xyzTabulce

Vytváření a analýza hyperploch s okraji v 3D-prostoru interpolací z dat v xyzTabulce

 Top Previous Next

Ke grafickému vyjádření závislosti určité veličiny na dvou proměnných lze využít interpolaci bodů dostatečně hladkou plochou vytvářející společně s těmito body hyperplochu v třírozměrném prostoru nad oběma proměnnými – souřadnicemi. V programu OPstat je k tomuto účelu použita plocha vytvořená dvourozměrným racionálním kubickým spline. Jedním ze způsobů zadání souřadnic a příslušné hodnoty závisle proměnné je xyzTabulka. Proceduru lze rovněž využít k vykreslení plochy vyjádřené funkcí dvou proměnných. Pohybem myší v ploše obrázku lze celou soustavou podle potřeby rotovat, přičemž je stále zachován třírozměrný pohled, včetně vzájemného zákrytu objektů vůči pozorovateli. Pro další grafické úpravy lze obrázky exportovat do modulu Presentation .

Pro otevření grafického manažeru umožňujícího vytváření a analýzu hyperploch v prostoru interpolací dat

1. klikněte na položku Plots & Surfaces v základním menu,
2. kliknutím na položku 3D-Plot-Interpol, z= f(x,y), xyzTab otevřete okno manažeru.

K načtení bodů a jejich nakreslení

1. v rámečku Input and Copy stisknutím tlačítka InpPoint otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data ve formě xyzTabulky, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
3. dvojitým kliknutím importujte data do počítače,
4. po nakreslení obrázku natočte prostor podle potřeby tažením myší se stisknutým levým tlačítkem v ploše obrázku.

K načtení souřadnic hyperplochy a její nakreslení

1. v rámečku Input and Copy stisknutím tlačítka InpSurf otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data ve formě xyzTabulky, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
3. dvojitým kliknutím importujte data do počítače,
4. po nakreslení obrázku natočte prostor podle potřeby tažením myší se stisknutým levým tlačítkem v ploše obrázku.

K nakreslení hyperplochy jako funkce dvou proměnných z = f(x,y)

(viz též Projekce objektů 3D do 2D, simultánní grafy v 3D)

1. v rámečku By Calculation zadejte v Pacalu (Delphi) tvar funkce podle předlohy (zadáno dvourozměrné normální rozdělení),
2. v okéncích pod nadpisy x begin, x end a x div to zadejte počáteční hodnotu proměnné x, konečnou hodnotu proměnné x a počet úseků, na něž má být tento interval rozdělen,
3. postup zopakujte pro proměnnou y,
4. stisknutím tlačítka Draw nakreslete obrázek,
5. po nakreslení obrázku natočte prostor podle potřeby tažením myší se stisknutým levým tlačítkem v ploše obrázku.

K nakreslení hyperplochy interpolací bodů

1. načtěte souřadnice bodů výše uvedeným postupem,
2. v rámečku Interpolation zvolte přepínačem hustotu sítě hyperplochy,
3. stisknutím tlačítka Calculate v rámečku Interpolation nakreslete hyperplochu,
4. po nakreslení obrázku natočte prostor podle potřeby tažením myší se stisknutým levým tlačítkem v ploše obrázku.

Pro změnu typu povrchu hyperplochy

zvolte přepínačem v rámečku Style povrch na čáry (Cage), tašky (dlaždice, Tile), tečky (Point), na přivrácené straně tašky, na odvrácené tečky (Ti/Po),

Pro změnu obarvení povrchu hyperplochy

v rámečku Style zaškrtněte políčko Color .

Pro posun objektů ve směru jednotlivých os

použijte přepínače v rámečku Translation.

Pro zvětšení objektu

použijte přepínač v rámečku Zoom.

Tisku obrázku

vyvolejte stisknutím tlačítka Print v rámečku Print Box. Program vytiskne obrázek na tiskárně.

Export obrázku do schránky

vyvolejte stisknutím tlačítka Copy v rámečku Input and Copy. Program uloží obrázek do schránky (možno importovat např. do Wordu) a uloží do knihovny Results jako soubor „3D-PlotTemp.jpg“.

Pro export obrázku do modulu Presentation

po nakreslení závislosti

1. v rámečku Modul Presentation stiskněte tlačítko Export and run,
2. dále postupujte podle návodu k modulu Presentation.


Interpolace v Kartézských souřadnicích

Vytváření a analýza hyperploch s okraji v 3D-prostoru interpolací

Top Previous Next

Ke grafickému vyjádření závislosti určité veličiny na dvou proměnných lze využít interpolaci bodů dostatečně hladkou plochou vytvářející společně s těmito body hyperplochu v třírozměrném prostoru nad oběma proměnnými – souřadnicemi. V programu OPstat je k tomuto účelu použita plocha vytvořená dvourozměrným racionálním kubickým spline. Vstupním formátem je datová matice, souřadnou soustavu vytvoří 3 z ní vybrané sloupce. Pohybem myší v ploše obrázku lze celou soustavou podle potřeby rotovat, přičemž je stále zachován třírozměrný pohled, včetně vzájemného zákrytu objektů vůči pozorovateli. Pro další grafické úpravy lze obrázky exportovat do modulu Presentation .

Pro otevření grafického manažeru umožňujícího vytváření a analýzu hyperploch v prostoru interpolací dat

1. klikněte na položku Plots & Surfaces v základním menu,
2. kliknutím na položku 3D-Plot-Interpol, z = f(x,y), otevřete okno manažeru.

K načtení bodů a jejich nakreslení

1. v rámečku Input and Copy stisknutím tlačítka Input otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
3. dvojitým kliknutím importujte data do počítače,
4. ze seznamu názvů sloupců datové matice v okně kliknutím podle pokynů v horním rámečku vyberte postupně sloupce reprezentující osy x (vodorovná), y (předozadní) a z (svislá),
5. po nakreslení bodů natočte prostor podle potřeby tažením myší se stisknutým levým tlačítkem v ploše obrázku.

K nakreslení hyperplochy interpolací bodů

1. v rámečku Interpolation zvolte přepínačem hustotu sítě hyperplochy,
2. stisknutím tlačítka Calculate v rámečku Interpolation nakreslete hyperplochu,
3. po nakreslení obrázku natočte prostor podle potřeby tažením myší se stisknutým levým tlačítkem v ploše obrázku.

Pro změnu typu povrchu hyperplochy

zvolte přepínačem v rámečku Style povrch na čáry (Cage), tašky (dlaždice, Tile), tečky (Point), na přivrácené straně tašky, na odvrácené tečky (Ti/Po),

Pro změnu obarvení povrchu hyperplochy

v rámečku Style zaškrtněte políčko Color .

Pro posun objektů ve směru jednotlivých os

použijte přepínače v rámečku Translation.

Pro zvětšení objektu

použijte přepínač v rámečku Zoom.

Tisku obrázku

vyvolejte stisknutím tlačítka Print v rámečku Print Box. Program vytiskne obrázek na tiskárně.

Export obrázku do schránky

vyvolejte stisknutím tlačítka Copy v rámečku Input and Copy. Program uloží obrázek do Clipboardu (možno importovat např. do Wordu) a uloží do knihovny Results jako soubor „3D-PlotTemp.jpg“.

Pro export obrázku do modulu Presentation

po nakreslení závislosti

1. v rámečku Modul Presentation stiskněte tlačítko Export and run,
2. dále postupujte podle návodu k modulu Presentation.


Výpočet hodnot frekvenční funkce, distribuční funkce a kvantilů některých rozdělení

K výpočtu hodnot frekvenční funkce, distribuční funkce nebo kvantilu

1. klikněte na položky Methods / f-Functions & Quantiles v základním menu,
2. v rámečku Calculation of zvolte přepínačem požadovaný typ výpočtu, tedy buď
• výpočet kvantilu pro zadanou pravděpodobnost (hodnota distribuční funkce, hladina významnosti či spolehlivosti) s popisem Probability to Quantile, nebo
• výpočet hodnoty distribuční funkce pro zadanou hodnotu proměnné (kvantil) s popisem Quantile to Probability, nebo
• výpočet frekvenční funkce (hustoty) pro zadanou hodnotu proměnné (kvantil) s popisem DensityFunction,
3. zvolte přepínačem typ rozdělení nebo funkci v rámečku Distributions,
4. vyžaduje-li to zvolené rozdělení, zadejte buď prostřednictvím klávesnice nebo s použitím přepínač stupně volnosti (ni1, resp. ni2) v rámečku Degree of Freedom,
5. do okénka následujícího rámečku zadejte vstupní hodnotu v souladu s popisem tohoto rámečku,
6. požadovaná hodnota je pak uvedena v okénku nejníže umístěného rámečku.

Pozn.1: Výpočet požadované hodnoty se provádí vždy po jakékoliv změně vstupních hodnot.

Pozn.2: Pro některá rozdělení jsou na obrázcích znázorněny frekvenční funkce (Density Function) a distribuční funkce (Distribution Function), včetně příslušných charakteristik zadaných vstupních hodnot.

Seznam pravděpodobnostních rozdělení:

• Binomické rozdělení
• Geometrické rozdělení
• Hypergeometrické rozdělení
• Negativní binomické rozdělení
• Poissonovo rozdělení
• Diskrétní rovnoměrné rozdělení
• Beta rozdělení
• Cauchyho rozdělení
• Chi-kvadrát rozdělení
• Exponenciální rozdělení
• Fisherovo-Snedecorovo rozdělení
• Gama rozdělení
• Logaritmicko-normální rozdělení
• Maxwellovo rozdělení
• Normální rozdělení
• Paretovo rozdělení
• Rayleighovo rozdělení
• Studentovo rozdělení
• Spojité rovnoměrné rozdělení
• Weibullovo rozdělení
• Jednorozměrné Wilcoxonovo rozdělení
• Dvourozměrné Wilcoxonovo rozdělení


Binomické rozdělení

Rozdělení pravděpodobnosti tohoto rozdělení je definováno:

s podmínkami

Rozdělení se pro n = 1 nazývá alternativní (Bernoulliho)


Geometrické rozdělení

Rozdělení pravděpodobnosti tohoto rozdělení je definováno:

s podmínkami


Hypergeometrické rozdělení

Rozdělení pravděpodobnosti tohoto rozdělení je definováno:

s podmínkami


Negativní binomické rozdělení

Rozdělení pravděpodobnosti tohoto rozdělení je definováno:

s podmínkami


Poissonovo rozdělení

Rozdělení pravděpodobnosti tohoto rozdělení je definováno:

s podmínkami


Diskrétní rovnoměrné rozdělení

Rozdělení pravděpodobnosti tohoto rozdělení je definováno:

s podmínkami


Beta rozdělení

Frekvenční funkce tohoto rozdělení je definována:

, kde B je beta funkce,

s podmínkami


Cauchyho rozdělení

Frekvenční funkce tohoto rozdělení je definována:

s podmínkami


Chi-kvadrát rozdělení

Frekvenční funkce tohoto rozdělení je definována:

, kde G je gama-funkce,

s podmínkami


Exponenciální rozdělení

Frekvenční funkce tohoto rozdělení je definována:

s podmínkami


Fisherovo-Snedecorovo rozdělení

Frekvenční funkce tohoto rozdělení je definována:

, kde B je beta funkce,

s podmínkami


Gama rozdělení

Frekvenční funkce tohoto rozdělení je definována:

, kde G je gama funkce,

s podmínkami


Logaritmicko-normální rozdělení

Frekvenční funkce tohoto rozdělení je definována:

s podmínkami


Maxwellovo rozdělení

Frekvenční funkce tohoto rozdělení je definována:

s podmínkami


Normální rozdělení

Frekvenční funkce tohoto rozdělení je definována:

s podmínkami


Paretovo rozdělení

Frekvenční funkce tohoto rozdělení je definována:

s podmínkami


Rayleighovo rozdělení

Frekvenční funkce tohoto rozdělení je definována:

s podmínkami


Studentovo rozdělení

Frekvenční funkce tohoto rozdělení je definována:

, kde B je beta funkce,

s podmínkami


Spojité rovnoměrné rozdělení

Frekvenční funkce tohoto rozdělení je definována:

s podmínkami


Weibullovo rozdělení

Frekvenční funkce tohoto rozdělení je definována:

s podmínkami


Jednorozměrná Wilcoxonova statistika

Viz Antoch J., Vorlíčková D.: Vybrané metody statistické analýzy dat, str. 88, 101. Academia, Praha 1992.


Dvourozměrná Wilcoxonova statistika

Viz Antoch J., Vorlíčková D.: Vybrané metody statistické analýzy dat, str. 88, 101. Academia, Praha 1992.


Numerické operace s daty

V programu OPstat jsou moduly pro

• numerické operace s jednorozměrnými daty
• numerické operace s vícerozměrnými daty


Numerické operace s jednorozměrnými daty

Numerické operace s jednorozměrnými daty zahrnují

• interpolaci,
• numerickou 1. derivaci,
• numerickou integraci plochy pod body spojenými úsečkami,
• vyhlazování přímkou ze 3 bodů,
• vyhlazování klouzavými průměry s nastavitelným počtem bodů,
• rychlou Fourierovu transformaci,
• ortogonální lineární prokládání.

Tabulkové hodnoty se zadávají dvojicí vektorů xTab a yTab, ostatní proměnné jako x, y. Hodnoty x, v nichž má být vypočtena interpolovaná hodnota yInter nebo 1. derivace yDer se zadávají jako posloupnost čísel v dalším sloupci. Pokud hodnoty zadaných x přesáhnou interval souřadnic xTab, výpočet příslušné veličiny se neprovede. Tabulkové hodnoty musejí být uspořádány vzestupně podle xTab.

K otevření okna pro numerické operace s jednorozměrnými daty

klikněte na položky Methods / 1D-NumCal v základním menu

K výpočtu interpolovaných hodnot yInter pro zadaná x

1. tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
3. dvojitým kliknutím na název vybraného souboru importujete data do programu,
4. v rámečku Methods kliknutím myší přepněte na Interpolation,
5. ze seznamu názvů sloupců v okně Source Set kliknutím vyberte v uvedeném pořadí sloupce s údaji xTab, yTab a x,
6. vypočtěte interpolované hodnoty stisknutím tlačítka Calculation v rámečku Calculation.

K výpočtu 1. derivací hodnot y pro xTab

1. tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
3. dvojitým kliknutím na název vybraného souboru importujete data do programu,
4. v rámečku Methods kliknutím myší přepněte na Derivation,
5. ze seznamu názvů sloupců v okně Source Set kliknutím vyberte v uvedeném pořadí sloupce s údaji xTab, yTab,
6. vypočtěte hodnotu 1. derivací stisknutím tlačítka Calculation v rámečku Calculation.

K výpočtu integrálu plochy pod body spojenými úsečkami

1. tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
3. dvojitým kliknutím na název vybraného souboru importujete data do programu,
4. v rámečku Methods kliknutím myší přepněte na Integral,
5. ze seznamu názvů sloupců v okně Source Set kliknutím vyberte v uvedeném pořadí sloupce s údaji xTab, yTab,
6. vypočtěte hodnotu integrálu stisknutím tlačítka Calculation v rámečku Calculation.

Pro vyhlazení přímkou ze 3 bodů

1. tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru, vyberte soubor,
2. popřípadě vyberte knihovnu a v ní soubor,
3. dvojitým kliknutím na název vybraného souboru importujete data do programu,
4. v rámečku Methods kliknutím myší přepněte na Line3 Smooth,
5. zadejte počet opakování této procedury do připojeného rámečku,
6. ze seznamu názvů sloupců v okně Source Set kliknutím vyberte v uvedeném pořadí sloupce s údaji xTab, yTab,
7. vypočtěte vyhlazené hodnoty stisknutím tlačítka Calculation v rámečku Calculation.

Pro vyhlazení klouzavými průměry

1. tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
3. dvojitým kliknutím na název vybraného souboru importujete data do programu,
4. v rámečku Methods kliknutím myší přepněte na AverN Smooth,
5. zadejte poloviční počet průměrovaných bodů (obvykle N/10 až N/5) do připojeného rámečku,
6. ze seznamu názvů sloupců v okně Source Set kliknutím vyberte v uvedeném pořadí sloupce s údaji xTab, yTab,
7. vypočtěte vyhlazené hodnoty stisknutím tlačítka Calculation v rámečku Calculation.

Pro výpočet Fourierovou transformací

1. tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
3. dvojitým kliknutím na název vybraného souboru importujete data do programu,
4. v rámečku Methods kliknutím myší přepněte na Fast Fourier trans.,
5. ze seznamu názvů sloupců v okně Source Set kliknutím vyberte v uvedeném pořadí sloupce s údaji Time, xRe,

Pozn.: Čas musí být zadán jako ekvidistantní posloupnost čísel, první musí být 0. Maximální počet údajů nesmí překročit hodnotu 4096, počet procesů s hledanou frekvencí hodnotu 20. Pokud je čas zadán v sekundách, výsledná frekvence je v Hz .

6. vypočtěte hodnoty frekvencí, amplitud a fází stisknutím tlačítka Calculation v rámečku Calculation.

Pro výpočet ortogonálního lineárního proložení

1. tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
3. dvojitým kliknutím na název vybraného souboru importujete data do programu,
4. v rámečku Methods kliknutím myší přepněte na Orthogonal LinFit,
5. ze seznamu názvů sloupců v okně Source Set kliknutím vyberte v uvedeném pořadí sloupce s údaji x, y,
6. vypočtěte úsek, směrnici, reziduální sumu čtverců a predikované hodnoty xPred, yPred stisknutím tlačítka Calculation v rámečku Calculation.

Pro zobrazení výstupního textového souboru na obrazovce

stiskněte tlačítko List v rámečku Calculation.

Pro tisk výstupního textového souboru na tiskárně

stiskněte tlačítko PrintList v rámečku Calculation.

Pro zobrazení závislostí

stiskněte tlačítko Plots v rámečku Calculation.

Pozn.: Tento soubor naleznete v OPstat\Data\Results pod názvem NumCal.plt . Soubor může být použit jako vstupní soubor do jiných modulů OPstat.


Numerické operace s vícerozměrnými daty

Numerické operace s vícerozměrnými daty zahrnují základní operace s maticemi. Matice a výsledky operací s nimi jsou uloženy v bankách, kterých je celkem 10. Matice lze do bank načíst jako datové matice ze souboru a Clipboardu, nebo je jako datové matice do souboru uložit. Kombinací příkazů a volbou matic v bankách lze provádět nejrůznější výpočty, a to i o mnoha krocích.

Modul zahrnuje

• vymazání obsahu matice (Clear)
• kopírování matice do jiné banky (Copy)
• možnost vyvolání datového manažeru pro zpracování datové matice (DatMan)
• sčítání matic (+)
• odečítání matic (-)
• násobení matic (*)
• transpozici (Transpos)
• inverzi čtvercové matice (Inver)
• diagonalizaci čtvercové matice (Diag)
• vytvoření nulové matice (ZeroMat)
• vytvoření jednotkové matice (UnoMat)
• rotaci podle kritéria Varimax (Varimax)
• výpočet čtverců prvků matice (sqr)
• výpočet odmocnin prvků matice (sqrt)
• násobení prvků matice konstantou (ConstMult)
• centrování sloupců matice (Centr)
• standardizace sloupců matice (Standard)

K otevření okna pro numerické operace s vícerozměrnými daty

klikněte na položky Methods / 2D-NumCal v základním menu

Pro načtení datové matice do banky ze souboru

1. bodovým přepínačem zvolte aktuální banku (nejlépe první neobsazenou),
2. tlačítkem ReadToBank v rámečku Input/Output otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu.

Pro načtení datové matice do banky z Clipboardu (pokud zde jsou uložena nějakým jiným modulem OPstat)

1. bodovým přepínačem zvolte aktuální banku (nejlépe první neobsazenou),
2. tlačítkem FromClipbrd v rámečku Input/Output načtěte data.

K provedení operace s maticemi

1. bodovým přepínačem zvolte aktuální banku s maticí, kterou chcete zpracovat,
2. stisknutím tlačítka v rámečku Operations operaci proveďte.

Pozn.: Výsledky operací se ukládají do první volné banky s názvem zahrnujícím provedenou operaci a banku (banky), ze kterých byly matice ke zpracování použity.


Statistické charakteristiky, testy a průzkumová analýza

V programu OPstat jsou moduly pro

• výpočet základních charakteristik jednorozměrných dat
• testování běžných statistických hypotéz s jednorozměrnými daty
• grafickou průzkumovou analýzu jednorozměrných dat
• výpočet základních charakteristik vícerozměrných dat
• testování běžných statistických hypotéz s vícerozměrnými daty
• grafickou průzkumovou analýzu vícerozměrných dat


Základní charakteristiky jednorozměrných dat, testování statistických hypotéz

Program OPstat počítá následující charakteristiky

• aritmetický průměr (AritMean)
• harmonický průměr (HarmMean)
• geometrický průměr (GeoMean)
• medián (Median)
• variační rozpětí (VarRange)
• směrodatnou odchylku (StandDev)
• šikmost (Skewness)
• špičatost (Kurtosis)
• varianci (Variance)
• Jackknife střední hodnotu (Jackknife)
• Grubbsův test odlehlých hodnot
• kvartily (F-quantile)
• oktily (E-quantile)
• sedecily (D-quantile)
• uřezaný průměr a odchylku (Cut Mean, Deviation)
• Winsorizovaný průměr a odchylku (Winsor Mean, Deviation)
• interval spolehlivosti pro aritmetický průměr (Int Reliability of Mean)
• interval spolehlivosti pro směrodatnou odchylku (Int Reliability of Variance)
• Boostrap střední hodnotu a odchylku (Bootstrap)

Pro výpočet základních charakteristik jednorozměrných dat

1. klikněte na položky Methods / 1D-StatAnal v základním menu,
2. v rámečku Methods přepněte přepínač na modul NStats,
3. v rámečku tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
4. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
5. dvojitým kliknutím na název vybraného souboru importujete data do programu,
6. ze seznamu názvů sloupců datové matice Source Set kliknutím vyberte sloupec, pro který chcete charakteristiky jednorozměrné náhodné veličiny počítat,
7. v rámečku Numerical Statistics vyberte zaškrtnutím požadované charakteristiky (zobrazte si vysvětlivky po umístění kursoru na heslo),
8. charakteristiky vypočtěte stisknutím tlačítka Calculation v rámečku Calculation,
9. aktuální výsledky zobrazte na obrazovce stisknutím tlačítka List nebo přidejte do sumárního archivu stisknutím tlačítka AddArchiv nebo vytiskněte na tiskárně stisknutím tlačítka PrintList,
10. uložené souhrnné výsledky vytiskněte na tiskárně stisknutím tlačítka PrintArchiv.

Program OPstat umožňuje testovat následující statistické hypotézy, resp. vyhodnotit následující statistické testy

• hypotéza: aritmetický průměr se rovná zadané konstantě, alternativní hypotéza: aritmetický průměr se nerovná zadané konstantě
• hypotéza: aritmetický průměr se rovná zadané konstantě, alternativní hypotéza: aritmetický průměr je větší, než zadaná konstanta
• hypotéza: aritmetický průměr se rovná zadané konstantě, alternativní hypotéza: aritmetický průměr je menší, než zadaná konstanta
• hypotéza: směrodatná odchylka je menší, než zadaná konstanta, alternativní hypotéza: směrodatná odchylka je větší, než zadaná konstanta
• jednovýběrový Wilcoxonův test (1D-Wilcoxon test)
• test autokorelace v datech (Test of autocorrelation)
• Chi2 test dobré shody pro normální rozdělení (Chi2-test of normality)

Pro testování statistických hypotéz o jednorozměrných datech

1. klikněte na položky Methods / 1D-StatAnal v základním menu,
2. v rámečku Methods přepněte přepínač na modul Tests,
3. v rámečku tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
4. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
5. dvojitým kliknutím na název vybraného souboru importujete data do programu,
6. ze seznamu názvů sloupců datové matice Source Set kliknutím vyberte sloupec, pro který chcete test hypotézy vyhodnotit,
7. v rámečku Tests zvolte přepínačem požadovaný test (zobrazte si vysvětlivky po umístění kursoru na heslo),
8. zadejte hladinu významnosti, popřípadě konstantu pro testy hypotéz porovnání s konstantou,
9. test vyhodnoťte stisknutím tlačítka Calculation v rámečku Calculation,
10. aktuální výsledky zobrazte na obrazovce stisknutím tlačítka List nebo přidejte do sumárního archivu stisknutím tlačítka AddArchiv nebo vytiskněte na tiskárně stisknutím tlačítka PrintList,
11. uložené souhrnné výsledky vytiskněte na tiskárně stisknutím tlačítka PrintArchiv.


Grafická průzkumová analýza jednorozměrných dat

Program OPstat umožňuje vyhodnotit následující grafické charakteristiky průzkumové analýzy jednorozměrných dat

• diagramy rozptýlení a krabicové grafy (Box Graphs)
• histogram (Histogram)
• graf rozptýlení s kvantily (Graph of Variance with Quantiles)
• kvantilo-kvantilový graf pro normální rozdělení (Q-Q Graph for Normal Distribution)

Pro grafickou průzkumovou analýzu jednorozměrných dat

1. klikněte na položky Methods / 1D-StatAnal v základním menu,
2. v rámečku Methods přepněte přepínač na modul Graphs,
3. v rámečku tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
4. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
5. dvojitým kliknutím na název vybraného souboru importujete data do programu,
6. ze seznamu názvů sloupců datové matice Source Set kliknutím vyberte sloupec, pro který chcete zobrazit grafické charakteristiky jednorozměrné náhodné veličiny,
7. v rámečku Graphs vyberte přepínačem požadované charakteristiky (zobrazte si vysvětlivky po umístění kursoru na heslo),
8. stisknutím tlačítka Calculation v rámečku Calculation otevřete okno s grafickým výstupem.

Pro identifikaci bodu v obrázku

umístěte kursor myši na příslušný bod a stiskněte levé tlačítko myši.

Pro vytisknutí obrázku

na tiskárně stiskněte tlačítko PrintCopy.

Pro export obrázku do modulu Presentation

1. stiskněte tlačítko Export and run,
2. dále postupujte podle návodu k modulu Presentation.

Pozn.1: K poslednímu obrázku se lze kdykoliv bez výpočtu vrátit stisknutím tlačítka Graphs.

Pozn.2: Po uzavření modulu je do knihovny OPstat\Data\Results uložena bitová mapa posledního obrázku jako soubor „MonoStat.jpg“. Po tisku je do knihovny OPstat\Data\Results uložena bitová mapa tištěného obrázku jako soubor „MonoStatPrintOutput..jpg“.


Základní charakteristiky vícerozměrných dat, testování statistických hypotéz

Program OPstat počítá následující charakteristiky vztahu mezi vektory datové matice

• kovarianční matici (Covariance Matrix)
• korelační matici (Correlation Matrix) a test významnosti korelačního koeficientu
• matici parciálních korelačních koeficientů (PartCorrel Matrix)
• matici Spearmanových koeficientů pořadové korelace (Spearman Matrix) a test významnosti Spearmanova koeficientu pořadové korelace

Pro výpočet základních charakteristik vztahu mezi vektory datové matice

1. klikněte na položky Methods / mD-StatAnal v základním menu,
2. v rámečku Methods přepněte přepínač na modul NStats,
3. v rámečku tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
4. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
5. dvojitým kliknutím na název vybraného souboru importujete data do programu,
6. ze seznamu názvů sloupců datové matice Source Set kliknutím vyberte sloupce, pro něž chcete matici charakteristik jejich vzájemného vztahu počítat,

Pozn.: Dvojitým kliknutím vyberete najednou všechny sloupce datové matice.

7. v rámečku Numerical Statistics přepínačem vyberte požadovaný typ matice,
8. prvky matice vypočtěte stisknutím tlačítka Calculation v rámečku Calculation,
9. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList,

Pro uložení matice charakteristik k dalšímu použití

1. v rámečku Calculation stisknutím tlačítka Save otevřete standardní dialog Windows pro uložení souboru,
2. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,

Pozn.: Pokud neuvedete příponu, standardně se použije ‘‘dat‘‘, další akceptovaná přípona je ‘‘plt‘‘ (pro grafické soubory). Použijete-li přípony ‘‘dat’‘ nebo ‘‘plt‘‘, data se uloží ve formátu OPstat.

3. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.

Program OPstat umožňuje testovat následující statistické hypotézy, resp. vyhodnotit následující statistické testy

• hypotéza: dva aritmetické průměry jsou shodné, alternativní hypotéza: aritmetické průměry nejsou shodné
• hypotéza: několik aritmetických průměrů je shodných, alternativní hypotéza: aritmetické průměry nejsou shodné
• hypotéza: několik směrodatných odchylek je shodných, alternativní hypotéza: směrodatné odchylku nejsou shodné
• Kruskallův-Wallisův test (Kruskal-Wallis)
• Friedmanův test (Friedman)

Pro testování statistických hypotéz o vícerozměrných datech

1. klikněte na položky Methods / mD-StatAnal v základním menu,
2. v rámečku Methods přepněte přepínač na modul Tests,
3. v rámečku tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
4. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
5. dvojitým kliknutím na název vybraného souboru importujete data do programu,
6. ze seznamu názvů sloupců datové matice Source Set kliknutím vyberte sloupce, pro které chcete test hypotézy vyhodnotit,
7. v rámečku Tests zvolte přepínačem požadovaný test (zobrazte si vysvětlivky po umístění kursoru na heslo),
8. zadejte hladinu významnosti,
9. test vyhodnoťte stisknutím tlačítka Calculation v rámečku Calculation,
10. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList.


Grafická průzkumová analýza vícerozměrných dat

Program OPstat umožňuje vyhodnotit následující grafické charakteristiky průzkumové analýzy vícerozměrných dat

• vzájemné párové bodové grafy (Scatterplot Matrix)
• polygony se společnou maximální hodnotou (A-Multivariate Graphical Displays)
• polygony se stejnou maximální hodnotou (R-Multivariate Graphical Displays)

Pro grafickou průzkumovou analýzu vícerozměrných dat

1. klikněte na položky Methods / mD-StatAnal v základním menu,
2. v rámečku Methods přepněte přepínač na modul Graphs,
3. v rámečku tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
4. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
5. dvojitým kliknutím na název vybraného souboru importujete data do programu,
6. ze seznamu názvů sloupců datové matice Source Set kliknutím vyberte sloupce, pro něž chcete provést grafickou analýzu,

Pozn.: Dvojitým kliknutím vyberete najednou všechny sloupce datové matice.

7. v rámečku Graphs vyberte přepínačem požadovanou charakteristiku (zobrazte si vysvětlivky po umístění kursoru na heslo),
8. stisknutím tlačítka Calculation v rámečku Calculation otevřete okno s grafickým výstupem,
9. počet zobrazených grafických subjednotek upravte zadáním celočíselné hodnoty v okénku Divide by,
10. pořadové číslo prvního zobrazeného řádku, resp. sloupce upravte přepínači s označením Column form resp. Row from,
11. subjednotku identifikujte umístěním kursoru do její plochy, v dolní části levého žlutého pásu pak získáte informace o pořadovém čísle a názvu příslušného sloupce, resp. řádku, pro identifikaci bodu (řádek matice, objekt) v grafu vzájemných párových závislostí umístěte kursor myši na příslušný bod a stiskněte levé tlačítko myši, pro identifikaci vrcholu polygonu (sloupec matice, vlastnost) umístěte kursor myši na vrchol a stiskněte levé tlačítko myši

Pro vytisknutí obrázku

na tiskárně stiskněte tlačítko PrintCopy.

Pro export obrázku do modulu Presentation

1. stiskněte tlačítko Export and run,
2. dále postupujte podle návodu k modulu Presentation.

Pozn. 1: K poslednímu obrázku se lze kdykoliv bez výpočtu vrátit stisknutím tlačítka Graphs.

Pozn.2: Po uzavření modulu je do knihovny OPstat\Data\Results uložena bitová mapa posledního obrázku jako soubor „MultiStat.jpg“. Po tisku je do knihovny OPstat\Data\Results uložena bitová mapa tištěného obrázku jako soubor „MultiStatPrintOutput..jpg“.


Analýza rozptylu

Struktura dat a omezení

Pro vyhodnocení dat analýzou rozptylu se zadává

• sloupcový vektor x obsahující analyzovaná data
• jeden nebo více sloupcových vektorů (odpovídajících jednotlivým faktorům) o stejné délce s pořadovými čísly úrovní daných faktorů, pro něž byl výsledek získán

Počet faktorů je omezen na 10. Výpočet začíná s nejobecnějším modelem pro daný počet faktorů.

Pro vyhodnocení dat analýzou rozptylu

1. klikněte na položky Methods/Anova v základním menu,
2. tlačítkem NewData v rámečku Calculation otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. ze seznamu názvů sloupců datové matice Source Set kliknutím podle pokynů postupně vyberte sloupec x, sloupec s pořadovými čísly úrovní faktoru A, sloupec s pořadovými čísly úrovní faktoru B, atd., názvy vybraných sloupců podle přiřazení jsou uvedeny v okně AnoVa set,
6. pokud chcete testovat rozdíly mezi úrovněmi jednotlivých faktorů, zaškrtněte políčko Differences among levels of factors,
7. výpočet proveďte stisknutím tlačítka Run v rámečku Calculation,
8. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList,
9. pro zjištění případných odlehlých bodů v datech graficky vyhodnoťte rozptyl hodnot experimentálních bodů (i,j, ,p) v závislosti na průměrech x(i,j, ,.) pro jednotlivé kombinace úrovní faktorů, příslušný graf získáte stisknutím tlačítka Plots.


Lineární regrese

V programu OPstat jsou moduly pro

• vícenásobnou lineární regresi
• vícenásobnou váženou lineární regresi
• vícenásobnou residuálně-váženou lineární regresi
• vícenásobnou lineární regresi s výběrem nejlepších vysvětlujících proměnných


Vícenásobná lineární regrese, vícenásobná vážená lineární regrese a vícenásobná reziduálně-vážená lineární regrese

Specifikace vícenásobné reziduálně-vážené lineární regrese

Tato metoda je založena na iteračním výpočtu vážené lineární regrese s reciprokými hodnotami klasických reziduí vypočtenými v předešlém iteračním kroku jako váhami. Počáteční hodnoty vah jsou jednotkové. Výpočet je ukončen, pokud rozdíly mezi reziduálními součty čtverců ve dvou následujících krocích jsou menší, než interně zadaná přesnost (selfkonzistence).

Struktura dat a omezení

Pro vyhodnocení dat vícenásobnou lineární regresí a vícenásobnou reziduálně-váženou lineární regresí se zadává

• sloupcový vektor y s hodnotami závisle proměnné
• jeden nebo více sloupcových vektorů x o stejné délce s hodnotami vysvětlujících proměnných

Pro vyhodnocení dat vícenásobnou váženou lineární regresí se zadává

• sloupcový vektor y s hodnotami závisle proměnné
• sloupcový vektor w s hodnotami vah
• jeden nebo více sloupcových vektorů x o stejné délce s hodnotami vysvětlujících proměnných
1. Pro vyhodnocení dat vícenásobnou lineární regresí a jejími variantami
2. klikněte na položky Methods/Mulreg (nebo Methods/omegaMulreg nebo Methods/se-co omegaMulreg) v základním menu,
3. tlačítkem NewData v rámečku Calcul & Results otevřete standardní dialog Windows pro otevření souboru,
4. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
5. dvojitým kliknutím na název vybraného souboru importujete data do programu,
6. ze seznamu názvů sloupců datové matice Source Set kliknutím podle pokynů postupně vyberte sloupec s hodnotami y, v případě vážené lineární regrese sloupec s hodnotami w, dále sloupec s hodnotami první vysvětlující proměnné x1, sloupec s hodnotami druhé vysvětlující proměnné x2, atd., názvy vybraných sloupců podle přiřazení jsou uvedeny v okně Regression set,

Pozn.: Pro převedení všech zbývajících sloupců v okně Source jako vysvětlujících proměnných do okna Regression použijte dvojklik v okně Source.

7. pokud chcete vyhodnotit regresní diagnostiku, zaškrtněte políčko Regression diagnostic,
8. pokud chcete vypočítat rezidua, zaškrtněte políčko Calculation of residuals,
9. výpočet proveďte stisknutím tlačítka Run v rámečku Calcul & Results,
10. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList,
11. vztahy mezi vstupními a výstupními veličinami graficky vyhodnoťte v grafickém manažeru stisknutím tlačítka Plots.

Pro grafické vyhodnocení vztahů mezi vstupními a výstupními veličinami jsou vhodné závislosti

• Yexp(k) na Ypred(k)
• e(k) na Ypred(k)
• Abs(eJk(k)) na H(kk)
• e(k) na u(k)

Lze však použít jinou libovolnou kombinaci.


Vícenásobná lineární regrese s výběrem nejlepších vysvětlujících proměnných

Struktura dat a omezení

Pro vyhodnocení dat vícenásobnou lineární regresí se zadává

• sloupcový vektor y s hodnotami závisle proměnné
• jeden nebo více sloupcových vektorů x o stejné délce s hodnotami vysvětlujících proměnných

Pro vyhodnocení dat vícenásobnou lineární regresí s výběrem nejlepších vysvětlujících proměnných

1. klikněte na položky Methods / miMulreg v základním menu,
2. tlačítkem NewData v rámečku Calcul & Results otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. ze seznamu názvů sloupců datové matice Source Set kliknutím podle pokynů postupně vyberte sloupec s hodnotami y, sloupec s hodnotami první vysvětlující proměnné x1, sloupec s hodnotami druhé vysvětlující proměnné x2, atd., názvy vybraných sloupců podle přiřazení (množina vysvětlujících proměnných) jsou uvedeny v okně Regression set,
6. v rámečku Conditions & Progress of Calculation upravte přepínačem Number of Variables maximální počet vysvětlujících proměnných a přepínačem Max Outputs maximální počet kombinací vysvětlujících proměnných v regresích s nejmenší reziduální směrodatnou odchylkou na výstupu,

Pozn.: Zadání rozsáhlé množiny vysvětlujících proměnných a vyššího počtu vysvětlujících proměnných v regresi může vést k časově náročným výpočtům (kombinace bez opakování).

7. výpočet proveďte stisknutím tlačítka Run v rámečku Calcul & Results,
8. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList,
9. nejvhodnější kombinaci vysvětlujících proměnných použijte pro výpočet vícenásobnou regresí v modulu Mulreg.


Nelineární regrese

Struktura dat a omezení

Pro vyhodnocení dat nelineární regresí se zadává

• regresní funkce s regresními parametry
• sloupcový vektor y s hodnotami závisle proměnné
• jeden nebo více sloupcových vektorů x o stejné délce s hodnotami vysvětlujících proměnných, počet vektorů musí být shodný s počtem vysvětlujících proměnných zadaných v regresní funkci

Nelineární regrese v OPstat zahrnuje kromě základního modulu další moduly pro

• zadání regresní funkce
• optimalizaci regresních parametrů

Pro vyhodnocení dat nelineární regresí

1. klikněte na položky Methods/Optim v základním menu,
2. tlačítkem RegFce v rámečku Calcul & Results otevřete okno pro zadání regresní funkce a zadejte regresní funkci,
3. tlačítkem NewData v rámečku otevřete standardní dialog Windows pro otevření souboru,
4. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
5. dvojitým kliknutím na název vybraného souboru importujete data do programu,
6. ze seznamu názvů sloupců datové matice Source Set kliknutím podle pokynů postupně vyberte sloupec s hodnotami y a sloupce s hodnotami vysvětlujících proměnných x v pořadí odpovídajícím číslování vysvětlujících proměnných v zadané regresní funkci, názvy vybraných sloupců podle přiřazení jsou uvedeny v okně Regression set,
7. pokud chcete vyhodnotit regresní diagnostiku, zaškrtněte políčko Regression diagnostic,
8. pokud chcete vypočítat rezidua, zaškrtněte políčko Calculation of residuals,
9. stisknutím tlačítka Run v rámečku Calcul & Results otevřete okno pro optimalizaci regresních parametrů a proveďte optimalizaci,
10. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList,
11. vztahy mezi vstupními a výstupními veličinami graficky vyhodnoťte v grafickém manažeru stisknutím tlačítka Plots.

Pro grafické vyhodnocení vztahů mezi vstupními a výstupními veličinami jsou vhodné závislosti

• Yexp(k) na Ypred(k)
• e(k) na Ypred(k)
• e(k) na u(k)

Lze však použít jinou libovolnou kombinaci.


Zadání regresní funkce

Regresní funkce může být zadána nově nebo načtením ze souboru.

Pro zadání regresní funkce nově

1. podle nápovědy v okně naprogramujte regresní funkci v jazyce Pascal (Delphi), podle potřeby můžete využít tlačítka pro vystřihnutí zvýrazněného textu a uložení do Clipboardu (Cut), kopírování zvýrazněného textu do Clipboardu (Copy) nebo vložení textu z Clipboardu do místa, kde je umístěn textový kursor (Paste).
2. stisknutím tlačítka Save function otevřete standardní dialog Windows pro uložení souboru,
3. do příslušného místa dialogového okna napište název souboru pro uložení segmentu programu s regresní funkcí,

Pozn.: Soubor se uloží s příponou ‘‘fun‘‘, tuto příponu neměňte.

4. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání,
5. stisknutím tlačítka Compile segment programu přeložte.

Pozn.: Pokud není v kódu segmentu programu chyba, okno pro zadání regresní funkce se automaticky zavře, v opačném případě se objeví hlášení „Error in source code of optimized function“. Pro snazší vyhledání syntaktických chyb slouží tlačítko „Scan“, po jehož stisknutí se objeví seznam použitých klíčových slov jazyka Pascal s počtem jejich výskytu v kódu segmentu.

Pro zadání regresní funkce načtením ze souboru

1. tlačítkem Load function otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor se segmentem programu s požadovanou regresní funkcí,
3. dvojitým kliknutím na název vybraného souboru importujete data do programu,
4. stisknutím tlačítka Compile segment programu přeložte.

Pozn.: Pokud není v kódu segmentu programu chyba, okno pro zadání regresní funkce se automaticky zavře, v opačném případě se objeví hlášení „Error in source code of optimized function“. Pro snazší vyhledání syntaktických chyb slouží tlačítko „Scan“, po jehož stisknutí se objeví seznam použitých klíčových slov jazyka Pascal s počtem jejich výskytu v kódu segmentu.


Optimalizace regresních parametrů

Před vlastní optimalizací regresních parametrů je nutno zadat jejich odhady. Regresní parametry mohou být zadány nově, opravou stávajících nebo načteny ze souboru, pokud již byl proveden výpočet s danou regresní funkcí a stejnými daty. Při klasifikaci metodou nelineárního mapováním načtěte počáteční odhad regresních parametrů ze souboru.

Pro zadání odhadů regresních parametrů nově

podle instrukcí zadejte v rámečku Input/Optimized Parameters v okénku Value odhady parametrů s pořadovým číslem No. odpovídajícím číslování parametrů v použité regresní funkci a stiskněte tlačítko Enter. Počet parametrů musí být shodný s počtem parametrů v použité regresní funkci a program tento požadavek kontroluje, tedy neumožní zadat více nebo méně parametrů.

Pro zadání odhadů regresních parametrů opravou stávajících

klikněte v okně New Parameters na hodnotu parametru, již chcete opravit a v okénku Value v rámečku Input/Optimized Parameters zadejte nový odhad.

Pro zadání odhadů regresních parametrů ze souboru

stiskněte tlačítko ArchiveParam v rámečku Input/Optimized Parameters.

Po správném zadání odhadů parametrů se v okéncích New StDev a Best StDev objeví hodnoty směrodatných odchylek a odblokují se aktivní prvky v rámečku Methods. Modul je připraven pro optimalizaci.

Pro optimalizaci parametrů

1. podle nápovědy zvolte optimalizační metodu,
2. zadejte parametr metody,
3. zadejte počet iterací, tj. počet kroků optimalizace,
4. stisknutím tlačítka příslušného dané metodě proveďte výpočet,
5. zhodnoťte změnu hodnoty reziduální směrodatné odchylky a hodnot parametrů v posledních oknech označených % v rámečku Optimized Parameters,
6. podle výsledků bodu 5. opakujte postup podle bodů 1. až 5. nebo optimalizaci ukončete a zavřete okno stisknutím tlačítka Close.


Analýza latentních proměnných

V programu OPstat jsou moduly pro

• metodu hlavních komponent PCA
• faktorovou analýzu FA
• metodu konjugovaných odchylek CDA
• modelování latentních proměnných ModLaV
• modelování faktorových zátěží ModFac
• kanonické korelace CA
• metodu parciálních nejmenších čtverců PLS


Metoda hlavních komponent PCA

Struktura dat

Pro vyhodnocení dat metodou hlavních komponent se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

Pro vyhodnocení dat metodou hlavních komponent

1. klikněte na položky Methods / PCA v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. v rámečku Number of Latent Variables zvolte přepínačem maximální počet latentních proměnných,
9. v rámečku Conditions zaškrtněte políčko Drive Vector X, pokud se má pracovat se sloupci označenými v řídícím vektoru symbolem X,
10. v rámečku Conditions zaškrtněte políčko Drive Vector Y, pokud se má pracovat se sloupci označenými v řídícím vektoru symbolem Y,
11. v rámečku Conditions zaškrtněte políčko Standardization, pokud se má provést standardizace zdrojové matice,
12. v rámečku Conditions zaškrtněte políčko t-Test in Regressions, pokud se má provádět testování statistické významnosti zátěží v jednotlivých sloupcích (statisticky nevýznamné zátěže nejsou použity v následujícím kroku NIPALS),
13. v rámečku For Output Regressions to Use přepínačem zvolte, zda mají být výstupní regrese s latentními proměnnými vypočteny pro standardizovanou nebo nestandardizovanou zdrojovou matici,
14. výpočet proveďte stisknutím tlačítka Run v rámečku Calculation,
15. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Results,
16. vztahy mezi objekty v prostoru latentních proměnných graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Score a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Score,
17. vztahy mezi objekty v prostoru zátěží graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Loadings a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Loadings.


Rozklad matice TP

Rozklad matice na součin matic T a P

Struktura dat

Pro vyhodnocení dat metodou hlavních komponent se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

Pozn.: Touto metodou lze rozkládat pouze homogenní matice, data jsou vždy automaticky standardizována s použitím průměru a směrodatné odchylky vypočtených ze všech prvků matice.

Pro vyhodnocení dat metodou hlavních komponent

1. klikněte na položky Methods / TP Matrix Decomposition v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. v rámečku Number of Latent Variables zvolte přepínačem maximální počet latentních proměnných,
9. v rámečku Conditions zaškrtněte políčko Drive Vector X, pokud se má pracovat se sloupci označenými v řídícím vektoru symbolem X,
10. v rámečku Conditions zaškrtněte políčko Drive Vector Y, pokud se má pracovat se sloupci označenými v řídícím vektoru symbolem Y,
11. v rámečku Conditions zaškrtněte políčko Standardization, pokud se má provést standardizace zdrojové matice,
12. v rámečku Conditions zaškrtněte políčko t-Test in Regressions, pokud se má provádět testování statistické významnosti zátěží v jednotlivých sloupcích (statisticky nevýznamné zátěže nejsou použity v následujícím kroku NIPALS),
13. v rámečku For Output Regressions to Use přepínačem zvolte, zda mají být výstupní regrese s latentními proměnnými vypočteny pro standardizovanou nebo nestandardizovanou zdrojovou matici,
14. výpočet proveďte stisknutím tlačítka Run v rámečku Calculation,
15. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Results,
16. vztahy mezi objekty v prostoru latentních proměnných graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Score a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Score,
17. vztahy mezi objekty v prostoru zátěží graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Loadings a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Loadings.


Metoda konjugovaných odchylek CDA

Struktura dat

Pro vyhodnocení dat metodou konjugovaných odchylek se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

Pro vyhodnocení dat metodou konjugovaných odchylek

1. klikněte na položky Methods / CDA v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. v rámečku Number of Latent Variables zvolte přepínačem maximální počet latentních proměnných,
9. v rámečku Number of Iterations zadejte počet iterací pro opravu latentních proměnných,
10. v rámečku Dumping Factor zadejte tlumící faktor,
11. v rámečku Conditions zaškrtněte políčko Drive Vector X, pokud se má pracovat se sloupci označenými v řídícím vektoru symbolem X,
12. v rámečku Conditions zaškrtněte políčko Drive Vector Y, pokud se má pracovat se sloupci označenými v řídícím vektoru symbolem Y,
13. v rámečku Conditions zaškrtněte políčko Standardization, pokud se má provést standardizace zdrojové matice,
14. v rámečku Conditions zaškrtněte políčko t-Test in Regressions, pokud se má provádět testování statistické významnosti zátěží v jednotlivých sloupcích (statisticky nevýznamné zátěže nejsou použity v následujícím kroku NIPALS),
15. v rámečku For Output Regressions to Use přepínačem zvolte, zda mají být výstupní regrese s latentními proměnnými vypočteny pro standardizovanou nebo nestandardizovanou zdrojovou matici,
16. výpočet proveďte stisknutím tlačítka Run v rámečku Calculation,
17. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Results,
18. vztahy mezi objekty v prostoru latentních proměnných graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Score a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Score,
19. vztahy mezi objekty v prostoru zátěží graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Loadings a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Loadings.


Metoda vážených hlavních komponent omegaPCA

Struktura dat

Pro vyhodnocení dat metodou vážených hlavních komponent se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

Pro vyhodnocení dat metodou vážených hlavních komponent

1. klikněte na položky Methods / omegaPCA v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. v rámečku Number of Latent Variables zvolte přepínačem maximální počet latentních proměnných,
9. v rámečku Width zadejte šířku pásma snižujících se vah,
10. v rámečku Exponent zadejte exponent určující rychlost poklesu vah,
11. v rámečku Conditions zaškrtněte políčko Drive Vector X, pokud se má pracovat se sloupci označenými v řídícím vektoru symbolem X,
12. v rámečku Conditions zaškrtněte políčko Drive Vector Y, pokud se má pracovat se sloupci označenými v řídícím vektoru symbolem Y,
13. výpočet proveďte stisknutím tlačítka Run v rámečku Calculation,
14. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Results,
15. vztahy mezi objekty v prostoru latentních proměnných graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Score a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Score,
16. vztahy mezi objekty v prostoru zátěží graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Score a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Score.


Faktorová analýza FA

Struktura dat

Pro vyhodnocení dat faktorovou analýzou se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

Zdrojová matice musí být kompletní.

Pro vyhodnocení dat faktorovou analýzou

1. klikněte na položky Methods / FA v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. v rámečku Number of Latent Variables zvolte přepínačem maximální počet latentních proměnných,
9. v rámečku Conditions zaškrtněte políčko Drive Vector X, pokud se má pracovat se sloupci označenými v řídícím vektoru symbolem X,
10. v rámečku Conditions zaškrtněte políčko Drive Vector Y, pokud se má pracovat se sloupci označenými v řídícím vektoru symbolem Y,
11. v rámečku For Output Regressions to Use přepínačem zvolte, zda mají být výstupní regrese s latentními proměnnými vypočteny pro standardizovanou nebo nestandardizovanou zdrojovou matici,
12. výpočet proveďte stisknutím tlačítka Run v rámečku Calculation,
13. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Results,
14. vztahy mezi objekty v prostoru zátěží graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Loadings a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Loadings.


Modelování latentních proměnných ModLaV

Struktura dat

Pro vyhodnocení dat modelováním latentních proměnných se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

a případně též proměnné do sloupců označených v řídícím vektoru symbolem p. Počet takto označených sloupců je současně počtem latentních proměnných.

Pro vyhodnocení dat prostřednictvím modelování latentních proměnných

1. klikněte na položky Methods / ModLaV v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. v rámečku Conditions zaškrtněte políčko Drive Vector X, pokud se má pracovat se sloupci označenými v řídícím vektoru symbolem X,
9. v rámečku Conditions zaškrtněte políčko Drive Vector Y, pokud se má pracovat se sloupci označenými v řídícím vektoru symbolem Y,
10. v rámečku Conditions zaškrtněte políčko Standardization, pokud se má provést standardizace zdrojové matice,
11. v rámečku Conditions zaškrtněte políčko t-Test in Regressions, pokud se má provádět testování statistické významnosti zátěží v jednotlivých sloupcích (statisticky nevýznamné zátěže nejsou použity v následujícím kroku NIPALS),
12. výpočet proveďte stisknutím tlačítka Run v rámečku Calculation,
13. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Results,
14. vztahy mezi objekty v prostoru latentních proměnných graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Score a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Score,
15. vztahy mezi objekty v prostoru zátěží graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Loadings a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Loadings,
16. rezidua vyhodnoťte v manažeru 2D-Inspector, 2D-Plots stisknum tlačítka Plots Residuals v rámečku Results.


Modelování faktorových zátěží ModFac

Struktura dat

Pro vyhodnocení dat metodou modelování faktorových zátěží (konfirmatorní faktorová analýza) se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

Zdrojová matice nemusí být kompletní. Čtverec počtu sloupců zdrojové matice vybraných ke zpracování musí být menší než 2000.

Pro vyhodnocení dat metodou modelování faktorových zátěží

1. klikněte na položky Methods / ModFac v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. v rámečku Basic and Factor Matrixs otevřete nabídkové okénko a vyberte způsob transformace dat, tj. výchozí matici pro výpočet faktorových zátěží,
9. kliknutím na tlačítko Calculate vypočtěte zvolenou matici a počáteční odhady faktorových zátěží,
10. v rámečku Regression Function přepínačem zvolte počet faktorů P,

Pozn.: Počet faktorů je omezen rozměry matice, ze které vychází výpočet faktorových zátěží. Pokud zvolíte příliš vysoký počet faktorů, bude hlášena chyba.

11. pro případnou úpravu struktury matice faktorových zátěží kliknutím na tlačítko DatMan otevřete datový manažer s maticí počátečních odhadů faktorových zátěží (v názvech sloupců je prvních P vlastních hodnot po diagonalizaci) a číslo v matici nahraďte pomlčkou, pokud nemá být daný faktor uvažován,
12. kliknutím na tlačítko Create function v rámečku Regression Function vygenerujte programový modul s příslušnou regresní funkcí pro optimalizaci hodnot faktorů a jedinečností, výsledek se zobrazí v okně rámečku Listing of Created Regression Function,

Pozn.: Ve výpisu programového modulu je možno provádět další úpravy kódu, tento postup se však nedoporučuje.

13. kliknutím na tlačítko Compile Function v rámečku Regression Function programový modul přeložte, bezchybný překlad programového kódu je indikován aktivací tlačítka Run v rámečku Calculation,
14. kliknutím na tlačítko Run v rámečku Calcul & Results otevřete okno pro optimalizaci regresních parametrů,
15. stiskněte tlačítko InitialParam v rámečku Optimized Parameters, proveďte optimalizaci a okno zavřete,
16. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Calcul & Results,
17. vztahy mezi hodnotami závisle proměnných a reziduí graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Resid v rámečku Calcul & Results,
18. vztahy mezi objekty v prostoru zátěží graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots ModFac a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Loadings.


Kanonické korelace CCA

Struktura dat

Pro vyhodnocení dat metodou kanonických korelací se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

Zdrojová matice musí být kompletní.

Pro vyhodnocení dat metodou kanonických korelací

1. klikněte na položky Methods / CCA v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. v rámečku Number of Latent Variables zvolte přepínačem maximální počet latentních proměnných,
9. v rámečku For Output Regressions to Use přepínačem zvolte, zda mají být výstupní regrese s latentními proměnnými vypočteny pro standardizovanou nebo nestandardizovanou zdrojovou matici,
10. výpočet proveďte stisknutím tlačítka Run v rámečku Calculation,
11. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Results,
12. vztahy mezi objekty v prostoru latentních proměnných graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Score a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Score,
13. vztahy mezi objekty v prostoru zátěží graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Loadings a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Loadings.


Metoda parciálních nejmenších čtverců (projekce latentních struktur) PLS

Struktura dat

Pro vyhodnocení dat metodou parciálních nejmenších čtverců se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

Pro vyhodnocení dat metodou parciálních nejmenších čtverců

1. klikněte na položky Methods / PLS v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. v rámečku Number of Latent Variables zvolte přepínačem maximální počet latentních proměnných,
9. v rámečku Conditions zaškrtněte políčko Standardization, pokud se má provést standardizace zdrojové matice,
10. v rámečku Conditions zaškrtněte políčko t-Test in Regressions, pokud se má provádět testování statistické významnosti zátěží v jednotlivých sloupcích (statisticky nevýznamné zátěže nejsou použity v následujícím kroku NIPALS),
11. v rámečku For Output Regressions to Use přepínačem zvolte, zda mají být výstupní regrese s latentními proměnnými vypočteny pro standardizovanou nebo nestandardizovanou zdrojovou matici,
12. výpočet proveďte stisknutím tlačítka Run v rámečku Calculation,
13. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Results,
14. vztahy mezi objekty v prostoru latentních proměnných graficky vyhodnoťte v grafickém manažeru stisknutím tlačítka Plot Score v rámečku Results,
15. vztahy mezi objekty v prostoru zátěží graficky vyhodnoťte v grafickém manažeru stisknutím tlačítka Plot Loadings v rámečku Results.
16. vztahy mezi objekty v prostoru latentních proměnných graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Score a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Score,
17. vztahy mezi objekty v prostoru zátěží graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plots Loadings a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve Loadings.


Klasifikační metody

V programu OPstat jsou moduly pro

• diskriminační analýzu
• shlukovou analýzu
• nelineární mapování NLM


Shluková a diskriminační analýza

Struktura dat pro shlukovou analýzu

Pro vyhodnocení dat shlukovou analýzou se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

Pro vyhodnocení dat metodami shlukové analýzy

1. klikněte na položky Methods / CA, LDA v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. pokud nemáte uloženu v souboru matici podobnosti, pokračujte bodem 9., jinak bodem 20.,
9. v rámečku Similarity Measures / Transformation of Data dvojitým kliknutím na okénko aktivujte nabídku způsobů transformace dat,
10. otevřete menu a kliknutím vyberte způsob transformace dat,
11. v rámečku Similarity Measures / Scales dvojitým kliknutím na okénko aktivujte nabídku škála a metrik,
12. otevřete menu a kliknutím vyberte škálu nebo metriku,
13. v rámečku Similarity Measures / Weights zadejte váhy jednotlivých typů proměnných, pokud je používáte, pro nastavení typu použijte přepínač,
14. vypočtěte matici podobnosti stisknutím tlačítka Run,
15. pokud považujete za vhodné matici podobnosti uložit, pak pokračujte body 16. až 18., jinak pokračujte bodem 22.,
16. stisknutím tlačítka Save to file otevřete standardní dialog Windows pro uložení souboru,
17. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru (standardní přípona ‘‘sim‘‘‘) ,
18. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání, pokračujte bodem 22.,
19. stisknutím tlačítka From file v rámečku Similarity Measures otevřete standardní dialog Windows pro otevření souboru s maticí podobnosti,
20. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor s příponou ‘‘sim‘‘‘,
21. dvojitým kliknutím na název vybraného souboru importujete data do programu,
22. v okně rámečku Clustering / Menu of Methods vyberte kliknutím shlukovací metodu,
23. stisknutím tlačítka Run v rámečku Clustering / Calculation proveďte shlukování,
24. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Results,
25. závislost vnitroshlukové variability (IntVar), mezishlukové variability (ExtVar), jejich podílu (IntVar/ExtVar) a změny tohoto podílu (Delta) na počtu shlukovacích kroků (j) graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plot Score v rámečku Results.

Struktura dat pro diskriminační analýzu

Pro vyhodnocení dat shlukovou analýzou se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

Ve zdrojové matici musí být jeden sloupec, který má v daném řádku pořadové číslo shluku, do kterého objekt patří, nebo prázdný znak, pokud objekt nebyl doposud do žádného shluku zařazen. Tento sloupec musí být v řídícím vektoru označen symbolem c.

Pro zařazení objektů metodou diskriminační analýzy

1. klikněte na položky Methods / CA, LDA v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. zařazení objektů do zadaných tříd proveďte stisknutím tlačítka Run v rámečku Discrimination,
9. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Results.

Použití implicitních křivek a implicitních ploch

ke klasifikaci dat kontrolované vizuálně lze ve dvourozměrném prostoru využít modul 2D-Inspector, 2D-Implicit curves, v třírozměrném prostoru modul 3D-Inspector, 3D-Implicit surfaces.


Nelineární mapování

Nelineární mapování NLM

Struktura dat pro nelineární mapování

Pro vyhodnocení dat shlukovou analýzou se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

Počet sloupců zdrojové matice M vybraných pro zpracování je omezen podmínkou M*(M-1)/2 < 2000.

Pro vyhodnocení dat metodou nelineárního mapování

1. klikněte na položky Methods / NonLinearMapping v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. pokud nemáte uloženu v souboru matici podobnosti, pokračujte bodem 9., jinak bodem 16.,
9. v rámečku Similarity Measures / Transformation of Data otevřete okénko s nabídku způsobů transformace dat a kliknutím vyberte způsob transformace dat,
10. v rámečku Similarity Measures / Scales otevřete okénko s nabídkou metrik a kliknutím vyberte metriku,
11. vypočtěte matici podobnosti stisknutím tlačítka Calculate,
12. pokud považujete za vhodné matici podobnosti uložit, pak pokračujte body 13. až 15., jinak pokračujte bodem 19.,
13. stisknutím tlačítka Save to file otevřete standardní dialog Windows pro uložení souboru,
14. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru (standardní přípona ‘‘sim‘‘‘) ,
15. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání, pokračujte bodem 19.,
16. stisknutím tlačítka From file v rámečku Similarity Measures otevřete standardní dialog Windows pro otevření souboru s maticí podobnosti,
17. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor s příponou ‘‘sim‘‘‘,
18. dvojitým kliknutím na název vybraného souboru importujete data do programu,
19. kliknutím na tlačítko Create function v rámečku Regression Function vygenerujte programový modul s příslušnou regresní funkcí pro optimalizaci souřadnic objektů ve dvourozměrném prostoru, výsledek se zobrazí v okně rámečku Listing of Created Regression Function,
20. kliknutím na tlačítko Compile function v rámečku Regression Function programový modul přeložte, bezchybný překlad programového kódu je indikován aktivací tlačítka Run v rámečku Calculation,
21. kliknutím na tlačítko Run v rámečku Calcul & Results otevřete okno pro optimalizaci regresních parametrů,
22. stiskněte tlačítko InitialParam v rámečku Optimized Parameters, proveďte optimalizaci a okno zavřete,
23. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Calcul & Results,
24. vztahy mezi hodnotami závisle proměnných a reziduí graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plot Resid v rámečku Calcul & Results,
25. vztahy mezi objekty graficky vyhodnoťte v grafickém manažeru 2D-Inspector, 2D-Plots stisknutím tlačítka Plot NLM a/nebo v grafickém manažeru 2D-Inspector, 2D-Implicit curves stisknutím tlačítka ImplCurve NLM.


Kalibrace

Struktura dat pro kalibraci

Pro vyhodnocení dat prostřednictvím kalibrace se zadává

• zdrojová matice jako datová matice
• řídící vektor k dané datové matici

Datová matice je strukturovaná. V řídícím vektoru se označí sloupce příslušející vysvětlující proměnné nebo proměnným (x) a sloupce příslušející závisle proměnným (y). Kalibrační modely jsou založeny na

• proložení bodů kubickým spline (závislost hodnoty na signálu, model M3 v části lineární regrese),
• lineární regresi,
• nelineární regresi a
• metodě PLS.

Některé kalibrační modely založené na lineární regresi umožňují zpětně vypočítat hodnotu veličiny x ze zadané hodnoty signálu y (jednoduchá lineární regrese – model M1 a polynomická regrese – model M2), všechny ostatní modely jsou založeny na predikci ze závislosti veličiny y na signálu x.

Pokud řádky příslušející jednotlivým měřením obsahují všechny hodnoty jak v submatici X, tak submatici Y, jsou považovány za kalibrační. Pokud v některém řádku chybějí některé nebo všechny hodnoty x nebo y, je tento řádek považován za řádek určený k predikci v závislosti na typu zvoleného kalibračního modelu. Pokud chybějí některé hodnoty v rozporu se zvoleným kalibračním modelem, je to považováno za chybu a řádek je vyloučen.

Predikované hodnoty z kalibrace společně se vstupními hodnotami jsou v souboru “CalSampl.dat“ v knihovně OPstat\Data\Results.

Pro vyhodnocení výsledků měření vícenásobnou lineární regresí

1. klikněte na položky Methods / Calibration v základním menu,
2. tlačítkem Data Matrix v rámečku Data Input otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector v rámečku Data Input otevřete standardní dialog Windows pro otevření souboru,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. přepínačem v rámečku Methods zvolte Linear regression,
9. přepínačem v rámečku Calibration by Linear Regression zvolte model kalibrace,
10. pokud chcete použít automatické vylučování statisticky nevýznamných regresních koeficientů zaškrtněte políčko t-Test in Regression v rámečku Calibration by Linear Regression,
11. pokud chcete ve výstupu vypsat zadaná data (kalibrační datové matice X a Y, matice X analyzovaných vzorků), zaškrtněte příslušná políčka v rámečku Calculation,
12. výpočet proveďte stisknutím tlačítka Run v rámečku Calculation,
13. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList,
14. vztahy mezi vstupními a výstupními veličinami graficky vyhodnoťte v grafickém manažeru stisknutím tlačítka Plots.

Pozn.: Textový a grafický výstup je totožný s výstupem v metodě Mulreg .

Pro vyhodnocení výsledků měření nelineární regresí

1. klikněte na položky Methods / Calibration v základním menu,
2. tlačítkem Data Matrix v rámečku Data Input otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector v rámečku Data Input otevřete standardní dialog Windows pro otevření souboru,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. přepínačem v rámečku Methods zvolte Nonlinear Regression,
9. tlačítkem RegFce v rámečku Calculation otevřete okno pro zadání regresní funkce a zadejte regresní funkci,
10. pokud chcete ve výstupu vypsat zadaná data (kalibrační datové matice X a Y, matice X analyzovaných vzorků), zaškrtněte příslušná políčka v rámečku Calculation,
11. stisknutím tlačítka Run v rámečku Calculation otevřete okno pro optimalizaci regresních parametrů a proveďte optimalizaci,
12. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList,
13. vztahy mezi vstupními a výstupními veličinami kalibračních dat graficky vyhodnoťte v grafickém manažeru stisknutím tlačítka Plots.

Pozn.: Textový a grafický výstup je totožný s výstupem v metodě Optim .

Pro vyhodnocení výsledků měření PLS regresí

1. klikněte na položky Methods / Calibration v základním menu,
2. tlačítkem Data Matrix v rámečku Data Input otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector v rámečku Data Input otevřete standardní dialog Windows pro otevření souboru,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. přepínačem v rámečku Methods zvolte PLSR,
9. přepínačem v rámečku Calibration by PLSR zvolte maximální počet latentních proměnných pro kalibraci,
10. pokud chcete ve výstupu vypsat zadaná data (kalibrační datové matice X a Y, matice X analyzovaných vzorků), zaškrtněte příslušná políčka v rámečku Calculation,
11. výpočet proveďte stisknutím tlačítka Run v rámečku Calculation,
12. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList,
13. vztahy mezi vstupními a výstupními veličinami graficky vyhodnoťte v grafickém manažeru stisknutím tlačítka Plots.

Pozn.: Textový a grafický výstup je totožný s výstupem v metodě PLS .


Vytváření prezentací

Program OPstat má pro potřebu prezentace výsledků integrován modul Presentation. Prostřednictvím modulu Presentation lze vytvořit obrázek ve formě bitové mapy, kterou lze exportovat pro další použití nebo umístit na stránku formátu A4 a po případném doplnění dalšího textu vytisknout na tiskárně. S modulem Presentation lze pracovat samostatně nebo v něm lze zpracovávat výstupy z dalších modulů programu OPstat. Pro vytvoření obrázku v samostatném režimu je určen zvláštní modul, který je volán z hlavní stránky modulu Presentation. Na rozdíl od běžných grafických manažerů je obrázek při kreslení a modifikaci vždy znovu vykreslen ze zadaných dat., což umožňuje vkládat, modifikovat a odebírat jednotlivé objekty beze změny ostatních. Jistou nevýhodou tohoto postupu je na méně výkonných počítačích zpomalená odezva způsobená výpočtem nového obrázku. Kvalita obrázku a délka odezvy jsou závislé na zvolené paletě barev (obvykle 256 až 32bit) a hustotě bitové mapy, přičemž tato hustota je kompromisem mezi vysokým rozlišením tiskárny (300 bpi a více) a monitoru (asi 60 – 80 bpi). Pokud nepožadujete hluboce prokreslené barevné obrázky (velká spotřeba paměti a proto menší rozlišení), je vhodné použít paletu barev 16bit.

Obrázek se vytváří na čtvercové základní pracovní ploše (ZPP). Do obrázku lze samostatně vkládat

• osy a jejich popis,
• obrazce,
• čáry,
• body a jejich popis,
• texty a
• obrázky.

Vytvořený obrázek lze uložit do clipboardu nebo do pracovního souboru (IntPresent.prs). Vložené bitové mapy se ukládají do číslovaných pracovních souborů („IntPresent1.jpg“, „IntPresnt2..jpg“ atd.). Vytvořený obrázek se ukládá do bitové mapy pracovního souboru („IntPresent.bmp“). Výsledný projekt se integruje a ukládá do souboru s implicitní příponou ‘‘prp‘‘.

Pro vytvoření nové prezentace

1. otevřete hlavní stránku,
2. klikněte na položku Presentation v základním menu,
3. v roletovém menu s textem Pixels rámečku Printable Area (White), Attributes on Paper in mm nastavte paletu barev,

Pozn.1: Krok 3. není nutné provést, pokud vyhovuje implicitní paleta barev 16bit..

Pozn.2: Při výběru v kroku 3. se automaticky nastaví optimální hustota bitové mapy, viz následující krok..

4. v okénku bpi rámečku Printable Area (White), Attributes on Paper in mm případně upravte hustotu bitové mapy,

Pozn.: S vyšší hustotou bitové mapy dosáhnete většinou kvalitnějšího prokreslení, vzhledem k transformaci do bitové mapy tiskárny však při některých hodnotách bpi může naopak dojít ke zhoršení kvality. Příliš vysoká hustota bitové mapy může způsobit překročení paměťových zdrojů systému a je hlášena chyba (obvykle „Parametr není správný“) po následujícím kroku. Nastavená hodnota bpi je pro většinu aplikací optimální a není ji třeba měnit.

5. stiskněte tlačítko New v rámečku Input, Otput and Conditions,
6. stiskněte tlačítko CreatePict v rámečku Input, Otput and Conditions,
7. vytvořte obrázek podle nápovědy k modulu pro kreslení obrázku.

Pro načtení existující prezentace

1. otevřete hlavní stránku,
2. klikněte na položku Presentation v základním menu,
3. upravte případně hustotu bitové mapy (viz výše),
4. stiskněte tlačítko Open v rámečku Input, Otput and Conditions,
5. vytvořte nebo modifikujte obrázek podle nápovědy k modulu pro kreslení obrázku.

Pro vytvoření prezentace na stránce formátu A4 a její tisk

1. Vytvořte novou prezentaci nebo načtěte existující prezentaci podle výše uvedených pokynů,
2. upravte velikost tisknutelné plochy v rámečku Printable Area (White), Attributes on Paper in mm,
3. upravte velikost a polohu obrázku na stránce v rámečku Picture, Attributes in mm on Paper,
4. přidejte případně text v rámečku Text, Attributes in mm on Paper, vlastnosti fontu případně nastavte nebo upravte prostřednictvím dialogu Font dialog, polohu textu na řádku upravte stisknutím tlačítka s příslušnou ikonou,
5. stiskněte tlačítko Print v rámečku Input, Output and Conditions.

Pro uložení prezentace

1. kliknutím na položku Save otevřete standardní dialog Windows pro uložení souboru,
2. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,

Pozn.: Standardně se použije přípona ‘‘prp‘‘. Příponu neměňte.

3. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.

Pro uložení prezentace

1. kliknutím na položku Delete otevřete standardní dialog Windows pro otevření souboru,
2. do příslušného místa dialogového okna napište název rušeného souboru,
3. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název rušeného souboru.


Vytvoření obrázku prezentace

Modul pro vytvoření obrázku pracuje se čtvercovou základní pracovní plochou (ZPP). Do obrázku lze samostatně vkládat

• osy a jejich popis,
• obrazce,
• čáry,
• body a jejich popis,
• texty a
• bitové mapy.

Každý z uvedených objektů lze samostatně vytvořit, modifikovat nebo zrušit beze změny ostatních objektů. K práci s jednotlivými typy objektů jsou určeny objektové manažery, v nichž mají jednotlivé objekty svá pořadová čísla a případně názvy. V dané chvíli se pracuje vždy jen s tím objektem, jehož pořadové číslo je nastaveno v aktivním manažeru. Vlastnosti objektu lze měnit změnou údajů v okéncích nebo tažením myší v ZPP se stisknutým levým nebo pravým tlačítkem. Pokud je stisknuto levé tlačítko myši, lze získat některé informace o objektu (např. název bodu) nebo objektem po ZPP posouvat (např. obrazce nebo bitové mapy) nebo rotovat (obrazce). Pokud je stisknuto pravé tlačítko myši, lze měnit tvar objektu (např. čáry nebo obrazce). ZPP lze průběžně ukládat nebo z posledního uložení načíst, popřípadě uložit do clipboardu pro další zpracování.

Po otevření modulu je znázorněn osový rámeček, pokud byla načtena prezentace, potom se automaticky znázorňuje obrázek této prezentace.

Vlastnosti ZPP a osového rámečku lze upravit v rámečku List and Basic Rectangle. Minimální a maximální hodnoty zobrazovaných veličin v jednotkách těchto veličin se nastaví v okéncích Xmin, Xmax, Ymin a Ymax. Vhodnou volbou těchto veličin v kombinaci s údaji v rámečku Axis lze dosáhnout požadovaného popisu os rámečku. Velikost a tvar osového rámečku na ZPP upravit změnou údajů v okéncích Left, Right, Top a Bottom, které udávají relativní vzdálenost os osového rámečku zleva, zprava, shora a zdola v %. Barvu ZPP lze změnit po stisknutí tlačítka BkGrd, barvu plochy osového rámečku po stisknutí tlačítka Rect a barvu os osového rámečku po stisknutí tlačítka Bord. Tloušťku čar osového rámečku lze nastavit v okénku PenPts. Další vlastnosti osového rámečku lze nastavit v objektovém manažeru Axis.

Přepínání mezi objektovými manažery se provádí bodovými tlačítky v rámečku Moduls. Aktivní je vždy jen zobrazený objektový manažer.

Pro vytvoření nové ZPP (vymazání) stiskněte tlačítko A-New v rámečku Input and Output of Actual Picture.

Pro otevření poslední uložené ZPP (souboru IntPesent.prs) stiskněte tlačítko A-Open v rámečku Input and Output of Actual Picture.

Pro uložení aktuální ZPP (souboru IntPesent.prs) stiskněte tlačítko A-Save v rámečku Input and Output of Actual Picture.

Pro uložení aktuální ZPP ve formě bitové mapy do schránky stiskněte tlačítko A-Copy v rámečku Input and Output of Actual Picture.

Návrat do modulu Presentation proveďte tlačítkem Close. Pokud chcete obrázek uložit jako prezentaci, potvrďte jeho uložení.


Objektový manažer pro osy osového rámečku

Tímto manažerem lze měnit typ os, počet hodnotových značek a meziznaček na osách osového rámečku, font souřadnic a počet číslic za desetinnou tečkou, případně zavést exponenciální typ popisu os.

Pro změnu typu os a jejich popisu

použijte zaškrtávací okénka Box/Axis, Marks In/Out, popř. Least Mark Yes/No.

Pro změnu počtu hodnotových značek na osách X a Y

použijte přepínače Divide X by a Divide Y by.

Meziznačky na osách X a Y vytvoříte zaškrtnutím políček InterMark X a InteMark Y, počet meziznaček upravte v okéncích Divide by.

Pro změnu fontu souřadnic

stiskněte tlačítko Font Dialog.

Velikost písma

upravte v okénku Font size.

Pro změnu počtu číslic za desetinnou tečkou použijte přepínače Digits X , resp. Digits Y. Formát je volen automaticky podle velikosti čísla. Pokud chcete vždy exponenciální formát, zaškrtněte příslušné políčko Exponent X nebo Exponent Y, pokud naopak chcete neexponciální formát s fixním počtem číslic za desetinnou tečkou, použijte záporné hodnoty přepínače Digits X , resp. Digits Y.


Objektový manažer pro obrazce

Objektový manažer má dvě části – obecnou (rámeček Shapes) a aktuální (rámeček Shape) vztahující se k aktuálnímu obrazci.

Pořadí aktuálního obrazce je dáno přepínačem s označením No.

Typ polygonu je dán přepínačem označeným –gon. Kruh je kódován hodnotou 0, kruhová výseč hodnotou 1, vrchlík hodnotou 2, vyšší hodnoty kódují polygon o příslušném počtu vrcholů. Velikost kruhové výseče nebo skosení vrchlíku upravte podle níže uvedených pokynů.

Natočení polygonu vůči základně ve stupních při vytvoření polygonu je dáno přepínačem Angle. Otočení je možno provést i dodatečně (viz níže).

Pro vytvoření obrazce

1. přepínačem pořadí nastavte nejnižší neobsazené pořadí,
2. přepínačem –gon zvolte typ obrazce,
3. umístěte kursor myši na ZPP do místa, kde má být střed obrazce,
4. klikněte levým tlačítkem myši.

Pro vytvoření nebo změnu orámování obrazce černou linkou

1. zaškrtněte (ohraničení je) nebo uvolněte (ohraničení není) políčko Border,
2. nastavte sousedním přepínačem tloušťku pera.

Pro změnu polohy aktuálního obrazce

1. bodovým přepínačem zvolte Translation,
2. umístěte kursor myši do středu obrazce a
3. obrazec táhněte myší se stisknutým levým tlačítkem na požadované místo.

Pro otočení aktuálního obrazce

1. bodovým přepínačem zvolte Rotation,
2. umístěte kursor myši mimo obrazec a
3. pohybujte myší se stisknutým levým tlačítkem ve směru osy x.

Pro změnu tvaru aktuálního polygonu

1. bodovým přepínačem zvolte Basic level,
2. umístěte kursor myši do blízkosti vrcholu, jehož polohy chcete změnit a
3. pohybem myší se stisknutým pravým tlačítkem nastavte požadovaný tvar.

Pro změnu velikosti výseče nebo uřezané části vrchlíku

1. bodovým přepínačem zvolte Basic level ,
2. umístěte kursor myši mimo obrazec a
3. pohybem myší se stisknutým pravým tlačítkem nastavte požadovaný rozměr.

Pro změnu kruhového tvaru na eliptický (kruh, výseč a vrchlík)

1. bodovým přepínačem zvolte Rotation,
2. umístěte kursor myši mimo obrazec a
3. pohybem myší se stisknutým pravým tlačítkem nastavte požadovaný rozměr.

Název aktuálního obrazce

lze vytvořit v okénku Name rámečku Shape.

Pro změnu celkové velikosti aktuálního obrazce

1. v okénku Size v rámečku Shape nastavte změnu v % ,
2. stisknutím tlačítka Zoom v rámečku Shape změnu realizujte.

Pozn.: Novým stisknutím tlačítka Zoom se obrazec znovu změní v zadaném poměru.

Pro zrušení aktuálního obrazce

stiskněte tlačítko Del.

Pro změnu výplně plochy aktuálního obrazce

stiskněte tlačítko se zvolenou výplní v rámečku Shape.

Pro změnu barvy aktuálního obrazce

stiskněte tlačítko se zvolenou barvou v rámečku Shape.


Objektový manažer pro čáry

Objektový manažer má dvě části – obecnou (rámeček Lines) a aktuální (rámeček Line) vztahující se k aktuální čáře. Čáry je možno vytvářet jako spojnice mezi zobrazenými body (PictPoints), mezi skrytými body (HidePoints), nebo výpočtem podle zadané funkce(Function). Režim kreslení čar zvolte bodovými tlačítky v rámečku Lines. Režimy PictPoints a HidePoints mají společný přepínač pořadí aktuální čáry, režim Function má vlastní přepínač pořadí aktuální čáry.

Pořadí aktuální čáry je dáno přepínačem s označením No.

Pro vytvoření čáry v režimu PictPoints a HidePoints

1. v rámečku Lines zvolte bodovým tlačítkem příslušný režim,
2. přepínačem pořadí nastavte nejnižší neobsazené pořadí,
3. klikněte myší na ZPP a tažením se stisknutým levým tlačítkem umístěte konec čáry do požadovaného místa a pusťte tlačítko,
4. opakováním činnosti podle bodu 2 vytvářejte lomenou čáru,
5. pokud mají být body proloženy Bézierovou křivkou nebo splajnem, zvolte příslušný typ stisknutím tlačítka B (Bézier) nebo S (splajn) v rámečku Line. Umístěte kursor myši do prostoru mezi dvěma body (Bézier) nebo do blízkosti určitého bodu (splajn) a tažením myší se stisknutým pravým tlačítkem tvar čáry upravte podle potřeby.

Pro vytvoření čáry v režimu Function

1. v rámečku Lines zvolte bodovým tlačítkem režim Function,
2. přepínačem pořadí nastavte nejnižší neobsazené pořadí,
3. zadejte počáteční a koncovou hodnotu vysvětlující proměnné x do okének xBegin a xEnd,
4. do zobrazeného textového okénka napište rovnici čáry v jazyce Pascal ve tvaru Result::= … ; (např. Result:=x*x; ),
5. stiskněte tlačítko Calc.

Pro změnu polohy (souřadnic) řídícího bodu čáry v režimech PictPoints a HidePoints

změňte u příslušného bodu údaj v tabulce a stiskněte Enter.

Pro zrušení aktuální čáry v režimech PictPoints a HidePoints

stiskněte tlačítko Del.

Pro zrušení aktuální čáry v režimu Function

vymažte obsah textového okénka.

Pro změnu tvaru aktuální čáry v režimu PictPoints a HidePoints

1. přepínačem No. nastavte pořadí aktuální čáry,
2. zvolte příslušný typ čáry stisknutím tlačítka B (Bézier) nebo S (splajn) v rámečku Line. Umístěte kursor myši do prostoru mezi dvěma body (Bézier) nebo do blízkosti určitého bodu (splajn) a tažením myší se stisknutým pravým tlačítkem tvar čáry upravte podle potřeby.

Název aktuální čáry

lze vytvořit v okénku Name rámečku Line.

Tloušťku aktuální čáry

lze změnit přepínačem PenSize v rámečku Line.

Pro změnu stylu aktuální čáry

stiskněte tlačítko se zvoleným stylem v rámečku Line.

Pro změnu barvy aktuální čáry

stiskněte tlačítko se zvolenou barvou v rámečku Line.


Objektový manažer pro body

Objektový manažer má dvě části – obecnou (rámeček Points-x,y Values) a aktuální (rámeček Point) vztahující se k aktuálnímu bodu.

Pořadí aktuálního bodu je dáno přepínačem s označením No.

Pro zadání bodů

1. přepínačem pořadí nastavte nejnižší neobsazené pořadí (prázdná políčka tabulky),
2. postupně zadávejte x-ovou a y-ovou souřadnici bodu (automaticky se nastavuje po stisknutí tlačítka Enter).

Pro změnu polohy (souřadnic) bodu

změňte u příslušného bodu údaj v tabulce a stiskněte Enter.

Pro vypuštění bodů

zrušte údaje o souřadnicích bodu.

Název aktuálního bodu

lze vytvořit v okénku Name rámečku Point.

Velikost aktuálního bodu

lze změnit přepínačem Size v rámečku Point.

Tloušťku čáry

aktuálního bodu lze změnit přepínačem PenSize v rámečku Point.

Pro změnu stylu bodu

stiskněte tlačítko se zvoleným stylem v rámečku Point.

Pro změnu barvy aktuálního bodu

stiskněte tlačítko se zvolenou barvou v rámečku Point.


Objektový manažer pro texty

Pořadí aktuálního textu je dáno přepínačem s označením No.

Pro zadání textu

1. přepínačem pořadí nastavte nejnižší neobsazené pořadí (prázdné textové políčko),
2. podle potřeby změňte font výběrem z nabídky Font name nebo i další vlastnosti fontu stisknutím tlačítka pro fontový dialog (3F),
3. napište text (zobrazuje se v textovém políčku),
4. před psaním dolních indexů stiskněte tlačítko x2, před psaním horních indexů tlačítko x2,
5. klikněte levým tlačítkem myši na ZPP a tažením umístěte text do požadovaného místa.

Pro změnu vlastností textu

1. přepínačem pořadí nebo kliknutím levým tlačítkem myši na text v ZPP nastavte aktuální text,
2. myší označte text v textovém políčku a prostřednictvím ovládacích prvků v rámečku Text změňte vlastnosti.

Pro změnu velikosti textu na ZPP změňte myší polohu posuvníku prvku TextSize.

Pro změnu polohy aktuálního textu na ZPP

1. kliknutím levým tlačítkem myši na text v ZPP nastavte aktuální text a
2. tažením myší jej umístěte do žádaného místa.

Pro odstranění textu vymažte text v textovém políčku.

Pro vytvoření půlkruhového, kruhového nebo šikmého textu

1. přepínačem pořadí nebo kliknutím levým tlačítkem myši na text v ZPP nastavte aktuální text,
2. zvolte tlačítkem v rámečku Text Arrange požadované uspořádání (default vodorovné stojaté),
3. do okénka podle popisu zadejte hodnotu poloměru v jednotkách osy X nebo úhel ve stupních,
4. tažením myší umístěte útvar do žádaného místa.


Objektový manažer pro obrázky

 Top Previous

Pořadí aktuálního obrázku je dáno přepínačem s označením No. V rámečku Pictures. Všechny další pokyny se týkají vždy tohoto aktuálního obrázku.

Pro vytvoření obrázku na ZPP

1. v rámečku Pictures přepínačem pořadí s označením No. nastavte nejnižší neobsazené pořadí,
2. bodovým přepínačem zvolte, zda má být aktuální bitová mapa na pozadí (On bottom) nebo nahoře (On top),
3. stisknutím tlačítka Paste v rámečku Pictures načtěte obrázek z Clipboardu (kam byla uložena jiným aktivním programem) nebo stisknutím tlačítka Open (ve formátech .bmp, .jpg, gif, .ico, .wmf nebo .emf) ze souboru (v okénku se objeví náhled aktuální bitové mapy),

Pozn.: Všechny obrázky jsou jednotně transformovány na 2/3 velikosti ZPPa 24bitové kódovani barev.

4. klikněte myší s levým stisknutým tlačítkem na ZPP a tažením umístěte obrázek do požadovaného místa.

Pro zobrazení průhledného obrázku zaškrtněte políčko Transp v rámečku Pictures.

Pozn.: Barva průhledného pozadí je implicitně odvozena od barvy bodu (pixelu) v levém horním rohu obrázku. Barvu, která bude průhledná lze měnit (viz níže).

Kreslení rámečku lze vypnout¨

uvolněním políčka Axis v rámečku Pictures.

Pro odstranění obrázku

stiskněte tlačítko Delete v rámečku Pictures.

Pozn.: Pořadí bitových map se automaticky upraví.

Pro uložení obrázku

do Clipboardu (paměti) stiskněte tlačítko Copy v rámečku Pictures, pro uložení do souboru vyvolejte standardní dialog stisknutím tlačítka Save v témže rámečku.

Pro změnu šířky a výšky obrázku

zadejte do okének přepínačů označených % width (šířka) a % height (výška) v rámečku Shape and angles hodnoty, na něž se má velikost obrázku změnit (základ je 100%).

Pro vertikální a horizontální zkosení obrázku

zadejte do okének přepínačů označených % vert-skew a % horiz-skew v rámečku Shape and angles hodnoty, o něž se má obrázek zkosit (základ je 100%).

Pro otočení obrázku

zadejte do okénka přepínače označeného RotAngle v rámečku Shape and angles úhel, o nějž se má obrázek otočit, směr je dán znaménkem úhlu.

Pozn.: Změny šířky, výšky, zkosení a otočení obrázku se vypočítávají z původního obrázku, lze je proto libovolně a opakovaně provést bez ztráty kvality. Některé operace se proto navzájem vylučují.

Pro zrcadlení obrázku podle vertikální roviny

stiskněte tlačítko Mirror v rámečku Shape and angles.

Pro změnu určité barvy v obrázku na jinou barvu

1. umístěte kursor myši na místo s barvou, kterou chcete změnit,
2. klikněte pravým tlačítkem myši, přičemž vybraná barva se zobrazí vlevo v rámečku Colors,
3. stisknutím tlačítka Color otevřete dialog pro editování barev,
4. kliknutím vyberte barvu a dejte OK.

Pro změnu barevného tónu obrázku

1. stiskněte tlačítko Tone v rámečku Colors
2. kliknutím vyberte barvu a dejte OK.

Pozn.: Tento proces je ireverzibilní a může vést ke ztrátě kvality obrázku.

Pro změnu barvy v obrázku použité jako průhledné na jinou barvu

1. umístěte kursor myši na místo s barvou, kterou chcete použít jako průhlednou,
2. klikněte pravým tlačítkem myši, přičemž vybraná barva se zobrazí vlevo v rámečku Colors,
3. stisknutím tlačítka Transparent v rámečku Colors proveďte záměnu průhledné barvy.

Pro změnu barvy ve vybraném rámečku na jinou barvu

1. umístěte kursor myši do budoucího levého horního rohu,
2. stiskněte pravé tlačítko myši a táhnutím vytvořte rámeček,
3. stiskněte tlačítko Rectangle v rámečku Colors,
4. stisknutím tlačítka Color otevřete dialog pro editování barev,
5. kliknutím vyberte barvu a dejte OK.

Pro změnu jasu obrázku

zadejte do okénka přepínače označeného Brightness rámečku Colors hodnotu jasu (základ 128, maximum 255, minimum 0).

Pro změnu kontrastu obrázku

zadejte do okénka přepínače označeného Contrast v rámečku Colors hodnotu kontrastu (základ 128, maximum 255, minimum 0).

Pro přeměnu barev obrázku na odstíny šedé stiskněte tlačítko Monitor Gray v rámečku Colors.

Pozn.: Tento proces je ireverzibilní. Odstíny šedé jsou výsledkem skladby barev, obrazec není složen z černých a bílých bodů!

Pro převedení obrázku na černobílý obrazec pro černobílou tiskárnu

stiskněte tlačítko Printer Gray v rámečku Colors.

Pozn.: Tento proces je ireverzibilní. Obrazec je složen z černých a bílých bodů a je jej možno tisknout na tiskárně neumožňující tisk polotónů.

Pro vystřihnutí části obrázku vyznačeného rámečkem

1. umístěte kursor myši do budoucího levého horního rohu,
2. stiskněte pravé tlačítko myši a táhnutím vytvořte rámeček,
3. stiskněte tlačítko Copy v rámečku Scrap.

Pozn.: Tento proces je ireverzibilní. Vystřihnutá část je uložena místo původní.

Pro vystřihnutí části obrázku vyznačeného libovolným tvarem

1. na ploše nakreslete černou barvou libovolné obrazce nebo text, které vytvoří masku pro kopírované části obrázku,
2. zaškrtněte políčko Mask v rámečku Scrap,
3. myší se stisknutým levým tlačítkem pohybujte obrázkem tak, aby byly mimo černou plochu zobrazeny požadované části obrázku,
2. stiskněte tlačítko Copy v rámečku Scrap.

Pozn.: Tento proces je ireverzibilní. Vystřihnutá část je uložena místo původní.